<?php
// Register a comments list block for Gutenberg.
add_filter( 'rwmb_meta_boxes', function( $meta_boxes ) {
	$meta_boxes[] = [
		'title' => esc_html__('Comments List', 'campoal-tapo'),
		'id'    => 'comments-list',
		'type'  => 'block', // Important.
		'mode' 	=> 'edit',
		// 'icon'  => 'awards', // Or you can set a custom SVG if you don't like Dashicons
		'icon'  => '<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 576 512"><!-- Font Awesome Pro 5.15.4 by @fontawesome - https://fontawesome.com License - https://fontawesome.com/license (Commercial License) --><defs><style>.fa-secondary{opacity:.4}</style></defs><path d="M208 352c-41 0-79.1-9.3-111.3-25-21.8 12.7-52.1 25-88.7 25a7.83 7.83 0 0 1-7.3-4.8 8 8 0 0 1 1.5-8.7c.3-.3 22.4-24.3 35.8-54.5-23.9-26.1-38-57.7-38-92C0 103.6 93.1 32 208 32s208 71.6 208 160-93.1 160-208 160z" class="fa-secondary"/><path d="M576 320c0 34.3-14.1 66-38 92 13.4 30.3 35.5 54.2 35.8 54.5a8 8 0 0 1 1.5 8.7 7.88 7.88 0 0 1-7.3 4.8c-36.6 0-66.9-12.3-88.7-25-32.2 15.8-70.3 25-111.3 25-86.2 0-160.2-40.4-191.7-97.9A299.82 299.82 0 0 0 208 384c132.3 0 240-86.1 240-192a148.61 148.61 0 0 0-1.3-20.1C522.5 195.8 576 253.1 576 320z" class="fa-primary"/></svg>',
		'category' => 'campoal',
		'context' => 'side', // The block settings will be available on the right sidebar.
		'supports' => [
			'align' => ['wide', 'full'],
		],
		// 'render_callback' => 'conikal_featured_posts_shortcode',
		'render_template' => plugin_dir_path( __FILE__ ) . 'template.php', // The PHP template that renders the block.
		// 'enqueue_style'   => plugin_dir_path( __FILE__ ) . 'style.css', // CSS file for the block.

		// Now register the block fields.
		'fields' => [
			[
				'type' 			=> 'post',
				'post_type'		=> array('post', 'page', 'petition', 'update', 'give_forms'),
				'id'   			=> 'id',
				'name' 			=> esc_html__('Post ID', 'campoal-tapo'),
				'placeholder'   => esc_html__('Enter an Post ID', 'campoal-tapo'),
				'field_type' 	=> 'select_advanced',
			],
			[
				'type' => 'select',
				'id'   => 'style',
				'name' => esc_html__('Style', 'campoal-tapo'),
				'options' => array(
					'normal' 	=> esc_html__('Normal', 'campoal-tapo'),
					'minimal' 	=> esc_html__('Minimal', 'campoal-tapo'),
					'threaded' 	=> esc_html__('Threaded', 'campoal-tapo'),
				),
				'placeholder'   => esc_html__('Default', 'campoal-tapo'),
			],
			[
				'type' => 'select',
				'id'   => 'size',
				'name' => esc_html__('Size', 'campoal-tapo'),
				'options' => array(
					'small' 	=> esc_html__('Small', 'campoal-tapo'),
					'medium' 	=> esc_html__('Medium', 'campoal-tapo'),
					'large' 	=> esc_html__('Large', 'campoal-tapo'),
					'big' 	=> esc_html__('Big', 'campoal-tapo'),
				),
				'placeholder'   => esc_html__('Default', 'campoal-tapo'),
			],
			[
				'type' => 'select',
				'id'   => 'comments_sort',
				'name' => esc_html__('Comment sort', 'campoal-tapo'),
				'options' => array(
					'newest' 	=> esc_html__('Newest', 'campoal-tapo'),
					'oldest' 	=> esc_html__('Oldest', 'campoal-tapo'),
				),
				'placeholder'   => esc_html__('Default', 'campoal-tapo'),
			],
			[
				'type' => 'select',
				'id'   => 'replies_sort',
				'name' => esc_html__('Replies sort', 'campoal-tapo'),
				'options' => array(
					'newest' 	=> esc_html__('Newest', 'campoal-tapo'),
					'oldest' 	=> esc_html__('Oldest', 'campoal-tapo'),
				),
				'placeholder'   => esc_html__('Default', 'campoal-tapo'),
			],
			[
				'type' 			=> 'number',
				'id'   			=> 'comments_per_page',
				'name' 			=> esc_html__('Comments per page', 'campoal-tapo'),
				'placeholder'	=> esc_html__('Number of comments display', 'campoal-tapo'),
			],
			[
				'type' 			=> 'number',
				'id'   			=> 'reply_per_comment',
				'name' 			=> esc_html__('Replies per comment', 'campoal-tapo'),
				'placeholder'	=> esc_html__('Number of replies display', 'campoal-tapo'),
			],
			[
				'type' => 'select',
				'id'   => 'heading',
				'name' => 'Heading',
				'options' => array(
					'h1' 	=> esc_html__('Heading 1', 'campoal-tapo'),
					'h2' 	=> esc_html__('Heading 2', 'campoal-tapo'),
					'h3' 	=> esc_html__('Heading 3', 'campoal-tapo'),
					'h4' 	=> esc_html__('Heading 4', 'campoal-tapo'),
					'h5' 	=> esc_html__('Heading 5', 'campoal-tapo'),
				),
				'placeholder'   => esc_html__('Default', 'campoal-tapo'),
			],
			[
				'type' => 'checkbox',
				'id'   => 'hide_heading',
				'name' => esc_html__('Hide Heading', 'campoal-tapo'),
			],
		],
	];
	return $meta_boxes;
} );
