<?php
// Register a divider block for Gutenberg.
add_filter( 'rwmb_meta_boxes', function( $meta_boxes ) {
	$meta_boxes[] = [
		'title' => esc_html__('Divider', 'campoal-tapo'),
		'id'    => 'divider',
		'type'  => 'block', // Important.
		'mode' 	=> 'edit',
		// 'icon'  => 'awards', // Or you can set a custom SVG if you don't like Dashicons
		'icon'  => '<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 512 512"><!-- Font Awesome Pro 5.15.4 by @fontawesome - https://fontawesome.com License - https://fontawesome.com/license (Commercial License) --><defs><style>.fa-secondary{opacity:.4}</style></defs><path d="M512 304v32a16 16 0 0 1-16 16H16a16 16 0 0 1-16-16v-32a16 16 0 0 1 16-16h480a16 16 0 0 1 16 16z" class="fa-secondary"/><path d="M512 176v32a16 16 0 0 1-16 16H16a16 16 0 0 1-16-16v-32a16 16 0 0 1 16-16h480a16 16 0 0 1 16 16z" class="fa-primary"/></svg>',
		'category' => 'campoal',
		'context' => 'side', // The block settings will be available on the right sidebar.
		'supports' => [
			'align' => ['wide', 'full'],
		],
		// 'render_callback' => 'conikal_featured_posts_shortcode',
		'render_template' => plugin_dir_path( __FILE__ ) . 'template.php', // The PHP template that renders the block.
		// 'enqueue_style'   => plugin_dir_path( __FILE__ ) . 'style.css', // CSS file for the block.

		// Now register the block fields.
		'fields' => [
			[
				'type' => 'select',
				'id'   => 'type',
				'name' => esc_html__('Type', 'campoal-tapo'),
				'options' => array(
					'normal'		=> esc_html__('Normal', 'campoal-tapo'),
					'vertical' 		=> esc_html__('Vertical', 'campoal-tapo'),
					'horizontal' 	=> esc_html__('Horizontal', 'campoal-tapo'),
					'hidden' 		=> esc_html__('Hidden', 'campoal-tapo'),
				),
				'placeholder'     => esc_html__('Default', 'campoal-tapo'),
			],
			[
				'type' => 'select',
				'id'   => 'size',
				'name' => esc_html__('Size', 'campoal-tapo'),
				'options' => array(
					'no'		=> esc_html__('No style', 'campoal-tapo'),
					'fitted' 	=> esc_html__('Fitted', 'campoal-tapo'),
					'section' 	=> esc_html__('Section', 'campoal-tapo'),
					'clearing' 	=> esc_html__('Clearing', 'campoal-tapo'),
				),
				'placeholder'     => esc_html__('Default', 'campoal-tapo'),
			],
			[
				'type' 			=> 'text',
				'id'   			=> 'text',
				'name' 			=> esc_html__('Text', 'campoal-tapo'),
				'placeholder'   => esc_html__('Text Between Divider', 'campoal-tapo'),
			],
			[
				'type' => 'checkbox',
				'id'   => 'invert',
				'name' => esc_html__('Invert', 'campoal-tapo'),
			],
		],
	];
	return $meta_boxes;
} );
