<?php
/**
 * The template file to display the block.
 *
 * Available parameters:
 * @param array $attributes The block attributes.
 * @param bool  $is_preview Whether in the preview mode.
 */

// Fields data.
if ( empty( $attributes['data'] ) ) {
	return;
}
// Unique HTML ID if available.
$block_id = 'campoal-heading-' . ( $attributes['id'] ?? '' );
if ( ! empty( $attributes['anchor'] ) ) {
	$block_id = $attributes['anchor'];
}

// Custom CSS class name.
$class = 'campoal-heading ' . ( $attributes['className'] ?? '' );
if ( ! empty( $attributes['align'] ) ) {
	$class .= " align{$attributes['align']}";
}

extract(shortcode_atts(array(
	'title' => '',
	'content' => '',
	'size' => 'normal',
	'border' => 'short',
	'align' => 'left',
	'invert' => 'no',
	'padding' => 'no',
), $attributes['data']));

$custom_heading = conikal_custom_heading_render($attributes['data'], $content);

?>
<div id="<?= $block_id ?>" class="<?= $class ?>">
	<?php echo $custom_heading; ?>
</div>
