<?php
/**
 * The template file to display the block.
 *
 * Available parameters:
 * @param array $attributes The block attributes.
 * @param bool  $is_preview Whether in the preview mode.
 */

// Fields data.
if ( empty( $attributes['data'] ) ) {
	return;
}

// Unique HTML ID if available.
$block_id = 'campoal-petition-cards-' . ( $attributes['id'] ?? '' );
if ( ! empty( $attributes['anchor'] ) ) {
	$block_id = $attributes['anchor'];
}

// Custom CSS class name.
$class = 'campoal-petition-cards carousel-container ' . ( $attributes['className'] ?? '' );
if ( ! empty( $attributes['align'] ) ) {
	$class .= " align{$attributes['align']}";
}

$posts = conikal_petitions_to_block($attributes['data'], $is_preview, $country_selected = false);

if  ($posts->have_posts()) :
	$return_string 	= conikal_shortcode_loop_petition($posts, $attributes['data'], null);
else :
	$posts 			= conikal_petitions_to_block($attributes['data'], $is_preview, 'WORLD');
	$return_string 	= conikal_shortcode_loop_petition($posts, $attributes['data'], null);
endif;

?>
<div id="<?= $block_id ?>" class="<?= $class ?>">
	<?php echo $return_string; ?>
</div>
