<?php
/**
 * The template file to display the block.
 *
 * Available parameters:
 * @param array $attributes The block attributes.
 * @param bool  $is_preview Whether in the preview mode.
 */

// Fields data.
if ( empty( $attributes['data'] ) ) {
	return;
}
// Unique HTML ID if available.
$block_id = 'campoal-sign-sidebar-' . ( $attributes['id'] ?? '' );
if ( ! empty( $attributes['anchor'] ) ) {
	$block_id = $attributes['anchor'];
}

// Custom CSS class name.
$class = 'campoal-sign-sidebar ' . ( $attributes['className'] ?? '' );
if ( ! empty( $attributes['align'] ) ) {
	$class .= " align{$attributes['align']}";
}

extract(shortcode_atts(array(
	'id' => 1,
	'action_type' => 'flexible',
	'scroll_block_id' => '',
	'custom_share_link' => false,
	'share_link_type' => true,
	'prompt_action' => true,
	'mobile_only' => true
), $attributes['data']));

$return_string = conikal_sign_sidebar_block_render($attributes['data'], null);
?>
<div id="<?= $block_id ?>" class="<?= $class ?>">
	<?php echo $return_string; ?>
</div>
