<?php
// Register a testimonials block for Gutenberg.
add_filter( 'rwmb_meta_boxes', function( $meta_boxes ) {
	$meta_boxes[] = [
		'title' => esc_html__('Testimonials', 'campoal-tapo'),
		'id'    => 'testimonials',
		'type'  => 'block', // Important.
		'mode' 	=> 'edit',
		// 'icon'  => 'awards', // Or you can set a custom SVG if you don't like Dashicons
		'icon'  => '<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 536 512"><!-- Font Awesome Pro 5.15.4 by @fontawesome - https://fontawesome.com License - https://fontawesome.com/license (Commercial License) --><defs><style>.fa-secondary{opacity:.4}</style></defs><path d="M526.29,226.11l-106,103,25,145.49c3.64,20.77-13,37.4-31.66,37.4a31.75,31.75,0,0,1-14.84-3.71l-131-68.71V385.34l22.39,11.73,102.22,53.59-19.5-113.45-4.29-24.88,18.14-17.62,82.73-80.38L355.07,197.7l-25-3.64-11.26-22.63L267.75,68.14V0a31.92,31.92,0,0,1,28.81,17.81L362,150.2l146.51,21.31c26.28,3.8,36.81,36.1,17.75,54.6Z" class="fa-secondary"/><path d="M90.48,474.5l25-145.5L9.7,226c-19-18.5-8.51-50.8,17.72-54.6l146.24-21.2L239,17.8A31.67,31.67,0,0,1,267.75,0V439.6L136.93,508.2C113.51,520.5,86,500.6,90.48,474.5Z" class="fa-primary"/></svg>',
		'category' => 'campoal',
		'context' => 'side', // The block settings will be available on the right sidebar.
		'supports' => [
			'align' => ['wide', 'full'],
		],
		// 'render_callback' => 'conikal_featured_posts_shortcode',
		'render_template' => plugin_dir_path( __FILE__ ) . 'template.php', // The PHP template that renders the block.
		// 'enqueue_style'   => plugin_dir_path( __FILE__ ) . 'style.css', // CSS file for the block.

		// Now register the block fields.
		'fields' => [
			[
				'type' 			=> 'text',
				'id'   			=> 'title',
				'name' 			=> esc_html__('Section Title', 'campoal-tapo'),
				'placeholder'   => esc_html__('Enter a title', 'campoal-tapo'),
			],
			[
				'type' 			=> 'button_group',
				'id'   			=> 'title_alignment',
				'name' 			=> esc_html__('Title Alignment', 'campoal-tapo'),
				'options' => array(
					'left' 			=> '<span class="dashicons dashicons-editor-alignleft"></span>',
					'center' 		=> '<span class="dashicons dashicons-editor-aligncenter"></span>',
					'right' 		=> '<span class="dashicons dashicons-editor-alignright"></span>',
				),
				'inline'   => true,
			],
			[
				'type' => 'select',
				'id'   => 'type',
				'name' => esc_html__('Type', 'campoal-tapo'),
				'options' => array(
					'all' 			=> esc_html__('All members', 'campoal-tapo'),
					'by_id' 			=> esc_html__('Members by IDs', 'campoal-tapo'),
				),
				'placeholder'     => esc_html__('Default', 'campoal-tapo'),
			],
			[
				'type' 			=> 'number',
				'id'   			=> 'show',
				'name' 			=> esc_html__('Show', 'campoal-tapo'),
				'placeholder'	=> esc_html__('Number of members display', 'campoal-tapo'),
			],
			[
				'type' => 'select',
				'id'   => 'column',
				'name' => esc_html__('Column', 'campoal-tapo'),
				'options' => array(
					'two' 	=> '2',
					'three' => '3',
					'four' 	=> '4',
				),
				'placeholder'     => esc_html__('Select an number', 'campoal-tapo'),
			],
			[
				'type' => 'select',
				'id'   => 'orderby',
				'name' => 'Order by',
				'options' => array(
					'none' 		=> esc_html__('None', 'campoal-tapo'),
					'ID' 		=> esc_html__('ID', 'campoal-tapo'),
					'author' 	=> esc_html__('Author', 'campoal-tapo'),
					'title' 	=> esc_html__('Title', 'campoal-tapo'),
					'name' 		=> esc_html__('Name', 'campoal-tapo'),
					'date' 		=> esc_html__('Date', 'campoal-tapo'),
					'modified' 	=> esc_html__('Modified', 'campoal-tapo'),
					'rand' 		=> esc_html__('Random', 'campoal-tapo'),
				),
				'placeholder'     => esc_html__('Default', 'campoal-tapo'),
			],
			[
				'type' => 'select',
				'id'   => 'order',
				'name' => esc_html__('Order', 'campoal-tapo'),
				'options' => array(
					'ASC' 	=> esc_html__('Ascending', 'campoal-tapo'),
					'DESC' 	=> esc_html__('Descending', 'campoal-tapo'),
				),
				'placeholder'     => esc_html__('Default', 'campoal-tapo'),
			],
			[
				'type' => 'checkbox',
				'id'   => 'carousel',
				'name' => esc_html__('Carousel', 'campoal-tapo'),
			],
			[
				'type' => 'checkbox',
				'id'   => 'raised',
				'name' => esc_html__('Raised shadow', 'campoal-tapo'),
			],
			[
				'type' 			=> 'text',
				'id'   			=> 'testimonials_ids',
				'name' 			=> esc_html__('Testimonials IDs', 'campoal-tapo'),
				'placeholder'   => esc_html__('Optional (separated by commas)', 'campoal-tapo'),
			],
		],
	];
	return $meta_boxes;
} );
