<?php
/**
 * @package WordPress
 * @subpackage Campoal Tapo
 */

/*************************************************
 * Class for adding a new field to the options-general.php page
 ************************************************/
class Add_Settings_Field {

    /**
     * Class constructor
     */
    public function __construct() {
        add_action( 'admin_init' , array( $this , 'conikal_register_fields' ) );
    }

    /**
     * Add new fields to wp-admin/options-general.php page
     */
    public function conikal_register_fields() {
        register_setting( 'general', 'conikal_analytics_code', 'esc_attr' );
        add_settings_field(
            'conikal_analytics_code',
            '<label for="conikal_analytics_code">' . __( 'Google Analytics ID ' , 'campoal-tapo' ) . '</label>',
            array( $this, 'conikal_analytics_fields_html' ),
            'general'
        );
    }

    /**
     * HTML google analytics setting field
     */
    public function conikal_analytics_fields_html() {
        $value = get_option( 'conikal_analytics_code', '' );
        echo '<input type="text" id="conikal_analytics_code" name="conikal_analytics_code" class="regular-text" placeholder="' . esc_attr__('eg. UA-987654321-3', 'campoal-tapo') . '" value="' . $value . '">';
    }
}
new Add_Settings_Field();

/**
 *****************************************************************************
 * Analytics Code
 *****************************************************************************
 */

add_action( 'wp_footer', 'conikal_custom_js' );
if (!function_exists('conikal_custom_js')) :    
	function conikal_custom_js() {

		// Google Analytics Code
		$analytics_code = get_option('conikal_analytics_code');
		if ($analytics_code != '') {
			$analytics_sctript = '<!-- Global site tag (gtag.js) - Google Analytics -->
				<script async src="//www.googletagmanager.com/gtag/js?id=' . esc_attr($analytics_code) . '"></script>
				<script>
				  window.dataLayer = window.dataLayer || [];
				  function gtag(){dataLayer.push(arguments);}
				  gtag("js", new Date());

				  gtag("config", "' . esc_attr($analytics_code) . '");
				</script>
				';
			print $analytics_sctript;
		}
	}
endif;

?>