<?php
/**
 * @package WordPress
 * @subpackage Campoal
 */

/**
 * Save give form
 *
 * @since Campoal 1.0.0
 */
if( !function_exists('conikal_give_save_form') ):
	function conikal_give_save_form() {
		check_ajax_referer('submit_contribute_ajax_nonce', 'security');
        global $campoal_options;
        $recaptcha_submit_petition  = isset($campoal_options['conikal_google_recaptcha_submit_petition_field']) ? $campoal_options['conikal_google_recaptcha_submit_petition_field'] : 1;
        $custom_fields_mode         = isset($campoal_options['conikal_custom_fields_mode_field']) ? $campoal_options['conikal_custom_fields_mode_field'] : 0;
        $p_category_r               = isset($campoal_options['conikal_p_category_r_field']) ? $campoal_options['conikal_p_category_r_field'] : '';
        $p_topics_r                 = isset($campoal_options['conikal_p_topics_r_field']) ? $campoal_options['conikal_p_topics_r_field'] : 1;
        $p_city                     = isset($campoal_options['conikal_p_city_field']) ? $campoal_options['conikal_p_city_field'] : '';
        $p_city_r                   = isset($campoal_options['conikal_p_city_r_field']) ? $campoal_options['conikal_p_city_r_field'] : '';
        $p_coordinates              = isset($campoal_options['conikal_p_coordinates_field']) ? $campoal_options['conikal_p_coordinates_field'] : '';
        $p_coordinates_r            = isset($campoal_options['conikal_p_coordinates_r_field']) ? $campoal_options['conikal_p_coordinates_r_field'] : '';
        $p_address                  = isset($campoal_options['conikal_p_address_field']) ? $campoal_options['conikal_p_address_field'] : '';
        $p_address_r                = isset($campoal_options['conikal_p_address_r_field']) ? $campoal_options['conikal_p_address_r_field'] : '';
        $p_neighborhood             = isset($campoal_options['conikal_p_neighborhood_field']) ? $campoal_options['conikal_p_neighborhood_field'] : '';
        $p_neighborhood_r           = isset($campoal_options['conikal_p_neighborhood_r_field']) ? $campoal_options['conikal_p_neighborhood_r_field'] : '';
        $p_zip                      = isset($campoal_options['conikal_p_zip_field']) ? $campoal_options['conikal_p_zip_field'] : '';
        $p_zip_r                    = isset($campoal_options['conikal_p_zip_r_field']) ? $campoal_options['conikal_p_zip_r_field'] : '';
        $p_state                    = isset($campoal_options['conikal_p_state_field']) ? $campoal_options['conikal_p_state_field'] : '';
        $p_state_r                  = isset($campoal_options['conikal_p_state_r_field']) ? $campoal_options['conikal_p_state_r_field'] : '';
        $p_country                  = isset($campoal_options['conikal_p_country_field']) ? $campoal_options['conikal_p_country_field'] : '';
        $p_country_r                = isset($campoal_options['conikal_p_country_r_field']) ? $campoal_options['conikal_p_country_r_field'] : '';
        $p_photo_video_r            = isset($campoal_options['conikal_p_photo_video_r_field']) ? $campoal_options['conikal_p_photo_video_r_field'] : 1;

        // Does the user want category?
        $enable_category            = give_is_setting_enabled( give_get_option( 'categories', 'disabled' ) );

        // Does the user want tag?
        $enable_tag                 = give_is_setting_enabled( give_get_option( 'tags', 'disabled' ) );
        
        $give_prefix    = '_give_';

		$user_id        = isset($_POST['user_id']) ? sanitize_text_field($_POST['user_id']) : '';
        $new_form_id    = isset($_POST['form_id']) ? sanitize_text_field($_POST['form_id']) : '';
        $petition_id    = isset($_POST['petition_id']) ? sanitize_text_field($_POST['petition_id']) : '';
        $title          = isset($_POST['title']) ? sanitize_text_field($_POST['title']) : '';
        $category       = isset($_POST['category']) ? sanitize_text_field($_POST['category']) : '';
        $tags           = isset($_POST['tags']) ? sanitize_text_field($_POST['tags']) : '';
        $excerpt        = isset($_POST['excerpt']) ? sanitize_text_field($_POST['excerpt']) : '';
        $draft_status   = isset($_POST['draft_status']) ? sanitize_text_field($_POST['draft_status']) : '';
        $amount_level   = isset($_POST['amount_level']) ? array_map('sanitize_text_field', $_POST['amount_level']) : '';
        $name_level     = isset($_POST['name_level']) ? array_map('sanitize_text_field', $_POST['name_level']) : '';
        $description_level   = isset($_POST['description_level']) ? array_map('wp_kses_post', $_POST['description_level']) : '';
        $video          = isset($_POST['video']) ? sanitize_text_field($_POST['video']) : '';
        $thumb          = isset($_POST['thumb']) ? sanitize_text_field($_POST['thumb']) : '';
        $thumb_small    = isset($_POST['thumb_small']) ? sanitize_text_field($_POST['thumb_small']) : '';
        $gallery        = isset($_POST['gallery']) ? sanitize_text_field($_POST['gallery']) : '';
        $attach_id      = isset($_POST['attach']) ? sanitize_text_field($_POST['attach']) : '';

        $city = isset($_POST['city']) ? sanitize_text_field($_POST['city']) : '';
        $lat = isset($_POST['lat']) ? sanitize_text_field($_POST['lat']) : '';
        $lng = isset($_POST['lng']) ? sanitize_text_field($_POST['lng']) : '';
        $address = isset($_POST['address']) ? sanitize_text_field($_POST['address']) : '';
        $neighborhood = isset($_POST['neighborhood']) ? sanitize_text_field($_POST['neighborhood']) : '';
        $zip = isset($_POST['zip']) ? sanitize_text_field($_POST['zip']) : '';
        $state = isset($_POST['state']) ? sanitize_text_field($_POST['state']) : '';
        $country = isset($_POST['country']) ? sanitize_text_field($_POST['country']) : '';

        $donation_levels = array();
        if ($amount_level[0] != '') {
            for ($i=0; $i < count($amount_level); $i++) {
            	$level = array(
            		$give_prefix . 'amount' => ($amount_level[$i] != '' ? $amount_level[$i] : 1),
            		$give_prefix . 'text' => $name_level[$i],
                    $give_prefix . 'description' => $description_level[$i],
            	);
                $level[$give_prefix . 'id']['level_id'] = $i;
            	if ($i === 0) $level[$give_prefix . 'default'] = 'default';

            	array_push($donation_levels, $level);
            }
        }

      	// general option
      	$custom_amount = 'enabled';
      	$custom_amount_text = esc_html__('Custom', 'campoal-tapo');
      	$custom_amount_minimum = isset($_POST['custom_amount_minimum']) ? sanitize_text_field($_POST['custom_amount_minimum']) : '';
      	$price_option = !empty($donation_levels) ? 'multi' : 'set';
      	$set_price = $custom_amount_minimum;
      	$display_style = 'buttons';
        $levels_minimum_amount = $amount_level[0] != '' ? $amount_level[0] : 1;
        $levels_maxinum_amount = $amount_level[(count($amount_level) - 1)];

        // display option
      	$form_floating_labels = 'global';
      	$show_register_form = 'none';
      	$logged_in_only = 'enabled';
      	$default_gateway = 'global';
      	$checkout_label = isset($_POST['button_label']) ? sanitize_text_field($_POST['button_label']) : '';
      	$reveal_label = isset($_POST['button_label']) ? sanitize_text_field($_POST['button_label']) : '';
      	$payment_display = 'modal';

      	// form content
      	$display_content = 'enabled';
      	$form_content = isset($_POST['form_content']) ? wp_kses_post($_POST['form_content']) : '';
      	$content_placement = 'give_pre_form';

      	// goal option
      	$close_form_when_goal_achieved = isset($_POST['close_form_when_goal_achieved']) ? sanitize_text_field($_POST['close_form_when_goal_achieved']) : '';
        $goal_achieved_message = isset($_POST['goal_achieved_message']) ? sanitize_textarea_field($_POST['goal_achieved_message']) : esc_html__('Thank you to all our donors, we have met our fundraising goal.', 'campoal-tapo');
      	$goal_option = isset($_POST['goal_option']) ? sanitize_text_field($_POST['goal_option']) : '';
      	$goal_format = isset($_POST['goal_format']) ? sanitize_text_field($_POST['goal_format']) : '';
      	$set_goal = isset($_POST['set_goal']) ? sanitize_text_field($_POST['set_goal']) : 0;
      	$goal_color = '#2bc253';

        // change goal option if set goal is zero
        if ($set_goal == 0) {
            $goal_option = 'disabled';
        }

      	// terms & condition option
      	$terms_option = 'global';
      	$agree_text = '';
      	$agree_label = '';

        // offline donation
        $customize_offline_donations = 'global';
        $offline_donation_email = '';
      	$offline_donation_subject = '';
      	$offline_checkout_notes = '';
      	$offline_donation_enable_billing_fields_single = 'disabled';
        
        // check mandatory fields
        if ($title == '') {
            if (!empty($petition_id)) {
                $title = get_the_title($petition_id);
            } else {
                echo json_encode(array('status'=>false, 'message'=>esc_html__('Title field is mandatory.', 'campoal-tapo')));
                exit();
            }
        }

        if(empty($petition_id) && $category == '' && $enable_category && $p_category_r == 1) {
            echo json_encode(array('status'=>false, 'message'=>esc_html__('Category field is mandatory.', 'campoal-tapo')));
            exit();
        }
        if(empty($petition_id) && $tags == '' && $enable_tag && $p_category_r == 1) {
            echo json_encode(array('status'=>false, 'message'=>esc_html__('Tag field is mandatory.', 'campoal-tapo')));
            exit();
        }
        if(empty($petition_id) && $address == '' && $p_address == 1 && $p_address_r == 1) {
            echo json_encode(array('status'=>false, 'message'=>esc_html__('Address field is mandatory.', 'campoal-tapo')));
            exit();
        }
        if(empty($petition_id) && $lat == '' && $lng == '' && $p_coordinates == 1 && $p_coordinates_r == 1) {
            echo json_encode(array('status'=>false, 'message'=>esc_html__('Coordinates fields are mandatory.', 'campoal-tapo')));
            exit();
        }
        if(empty($petition_id) && $neighborhood == '' && $p_neighborhood == 1 && $p_neighborhood_r == 1) {
            echo json_encode(array('status'=>false, 'message'=>esc_html__('Neighborhood field is mandatory.', 'campoal-tapo')));
            exit();
        }
        if(empty($petition_id) && $zip == '' && $p_zip == 1 && $p_zip_r == 1) {
            echo json_encode(array('status'=>false, 'message'=>esc_html__('Zip Code field is mandatory.', 'campoal-tapo')));
            exit();
        }
        if(empty($petition_id) && $state == '' && $p_state == 1 && $p_state_r == 1) {
            echo json_encode(array('status'=>false, 'message'=>esc_html__('County/State field is mandatory.', 'campoal-tapo')));
            exit();
        }
        if(empty($petition_id) && $country == '' && $p_country == 1 && $p_country_r == 1) {
            echo json_encode(array('status'=>false, 'message'=>esc_html__('Country field is mandatory.', 'campoal-tapo')));
            exit();
        }

        if(empty($petition_id) && $gallery == '' && $video == '' && $p_photo_video_r == 1) {
            echo json_encode(array('status'=>false, 'message'=>esc_html__('Upload a photo or embed a video.', 'campoal-tapo')));
            exit();
        }

        if ($amount_level == '' && $set_price == '') {
            echo json_encode(array('status'=>false, 'message'=>esc_html__('One of amount of perk and minimum amount field is mandatory.', 'campoal-tapo')));
            exit();
        }

        // Vertify Google reCAPTCHA
        if (conikal_show_google_reCaptcha() && $recaptcha_submit_petition == 1 && empty($new_form_id) && empty($petition_id)) {
            conikal_google_recaptcha_callback();
        }
        
        $review = isset($campoal_options['conikal_review_contribute_field']) ? $campoal_options['conikal_review_contribute_field'] : 0;
        if($review == 0 || user_can($user_id, 'administrator') || user_can($user_id, 'editor')) {
            $form_status = 'publish';
        } else {
            $form_status = 'pending';
        }

        // convert category string to object
        $categories = array_map('intval', explode(',', $category));
        if (count($categories) <= 1) {
            $category = array(intval($category));
        } else {
            $category = $categories;
        }

        // convert tags string to object
        if ($tags != '') {
            $tags = explode(',', $tags);
        }

        // add new post type
        $form = array(
            'post_title' => $title,
            'post_type' => 'give_forms',
            'post_author' => $user_id,
            'post_excerpt' => $excerpt,
        );

        if($new_form_id != '') {
            $form['ID'] = $new_form_id;
            
            if ($draft_status != '') {
                $form['post_status'] = 'draft';
            } else {
                $form['post_status'] = 'publish';
            }
        } else {
            $form['post_status'] = $form_status;
        }

        if ($new_form_id != '') {
            $form_id = wp_update_post($form);
        } else {
            $form_id = wp_insert_post($form);
        }

        wp_set_object_terms($form_id, $category, 'give_forms_category');
        wp_set_object_terms($form_id, $tags, 'give_forms_tag');

        // update post meta
        update_post_meta($form_id, $give_prefix . 'custom_amount', $custom_amount);
        update_post_meta($form_id, $give_prefix . 'custom_amount_text', $custom_amount_text);
        update_post_meta($form_id, $give_prefix . 'custom_amount_minimum', $custom_amount_minimum);
        update_post_meta($form_id, $give_prefix . 'price_option', $price_option);
        update_post_meta($form_id, $give_prefix . 'set_price', $set_price);
        update_post_meta($form_id, $give_prefix . 'display_style', $display_style);
        update_post_meta($form_id, $give_prefix . 'levels_minimum_amount', $levels_minimum_amount);
        update_post_meta($form_id, $give_prefix . 'levels_maxinum_amount', $levels_maxinum_amount);

        update_post_meta($form_id, $give_prefix . 'form_floating_labels', $form_floating_labels);
        update_post_meta($form_id, $give_prefix . 'show_register_form', $show_register_form);
        update_post_meta($form_id, $give_prefix . 'logged_in_only', $logged_in_only);
        update_post_meta($form_id, $give_prefix . 'default_gateway', $default_gateway);
        update_post_meta($form_id, $give_prefix . 'checkout_label', $checkout_label);
        update_post_meta($form_id, $give_prefix . 'reveal_label', $reveal_label);
        update_post_meta($form_id, $give_prefix . 'payment_display', $payment_display);

        update_post_meta($form_id, $give_prefix . 'display_content', $display_content);
        update_post_meta($form_id, $give_prefix . 'form_content', $form_content);
        update_post_meta($form_id, $give_prefix . 'content_placement', $content_placement);

        update_post_meta($form_id, $give_prefix . 'close_form_when_goal_achieved', $close_form_when_goal_achieved);
        update_post_meta($form_id, $give_prefix . 'form_goal_achieved_message', $goal_achieved_message);
        update_post_meta($form_id, $give_prefix . 'goal_option', $goal_option);
        update_post_meta($form_id, $give_prefix . 'goal_format', $goal_format);
        update_post_meta($form_id, $give_prefix . 'goal_color', $goal_color);
        update_post_meta($form_id, $give_prefix . 'set_goal', $set_goal);
        update_post_meta($form_id, $give_prefix . 'donation_levels', $donation_levels);

        update_post_meta($form_id, $give_prefix . 'terms_option', $terms_option);
        update_post_meta($form_id, $give_prefix . 'agree_text', $agree_text);
        update_post_meta($form_id, $give_prefix . 'agree_label', $agree_label);

        update_post_meta($form_id, $give_prefix . 'customize_offline_donations', $customize_offline_donations);
        update_post_meta($form_id, $give_prefix . 'offline_donation_email', $offline_donation_email);
        update_post_meta($form_id, $give_prefix . 'offline_donation_subject', $offline_donation_subject);
        update_post_meta($form_id, $give_prefix . 'offline_checkout_notes', $offline_checkout_notes);
        update_post_meta($form_id, $give_prefix . 'offline_donation_enable_billing_fields_single', $offline_donation_enable_billing_fields_single);

        update_post_meta($form_id, $give_prefix . 'video', $video);
        update_post_meta($form_id, $give_prefix . 'thumb', $thumb);
        update_post_meta($form_id, $give_prefix . 'thumb_small', $thumb_small);
        update_post_meta($form_id, $give_prefix . 'gallery', $gallery);

        update_post_meta($form_id, $give_prefix . 'city', $city);
        update_post_meta($form_id, $give_prefix . 'lat', $lat);
        update_post_meta($form_id, $give_prefix . 'lng', $lng);
        update_post_meta($form_id, $give_prefix . 'address', $address);
        update_post_meta($form_id, $give_prefix . 'neighborhood', $neighborhood);
        update_post_meta($form_id, $give_prefix . 'zip', $zip);
        update_post_meta($form_id, $give_prefix . 'state', $state);
        update_post_meta($form_id, $give_prefix . 'country', $country);

        if (!empty($petition_id) && $petition_id != $form_id) {
            update_post_meta($form_id, $give_prefix . 'petition_id', $petition_id);
            update_post_meta($petition_id, 'petition_contribute', $form_id);
        } else {
            delete_post_meta($form_id, $give_prefix . 'petition_id');
        }

        $post_thumbnail = set_post_thumbnail($form_id, $attach_id);
        if (!empty($video)) {
            delete_post_thumbnail($form_id);
        }
        $approve = get_post_status($form_id);

        // get redirect url
        if ($petition_id != '') {
            $redirect_url = get_permalink($petition_id);
            $approve = get_post_status($petition_id);
            if ($approve == 'pending') {
                $author_link = get_author_posts_url($user_id);
                if ($author_link) {
                    $redirect_url = $author_link;
                } else {
                    $redirect_url = add_query_arg(array('action' => 'updated'), $redirect_url);
                }
            } elseif (class_exists('ACF') && $custom_fields_mode) {
                $page_submit_petition = isset($campoal_options['conikal_page_submit_petition_field']) ? $campoal_options['conikal_page_submit_petition_field'] : 0;
                $redirect_url = $page_submit_petition ? add_query_arg(array('step' => 'infomations', 'petition_id' => $petition_id), get_permalink($page_submit_petition)) : $redirect_url;
            }
        } else {
            $redirect_url = get_permalink($form_id);
            $approve = get_post_status($form_id);
            if ($approve == 'pending') {
                // user dashboard link
                $user_dashboard_page    = isset($campoal_options['conikal_page_dashboard_user_field']) ? $campoal_options['conikal_page_dashboard_user_field'] : 0;
                $user_dashboard_page    = ($user_dashboard_page ? get_permalink($user_dashboard_page) : '');

                if (!empty($user_dashboard_page)) {
                    $redirect_url = add_query_arg(array('section' => 'my_fundraisings'), $user_dashboard_page);
                } else {
                    $redirect_url = add_query_arg(array('action' => 'updated'), $redirect_url);
                }
            }
        }

        conikal_admin_contribute_notification($form_id, $petition_id, $user_id, $new_form_id);

        if($form_id != 0) {
            if($approve == 'publish') {
                echo json_encode(array('status'=>true, 'form_id'=> $form_id, 'link'=> $redirect_url, 'post_status'=> $approve, 'message'=>esc_html__('The contribute was successfully saved and published.', 'campoal-tapo')));
                exit();
            } elseif ($approve == 'pending') {
                echo json_encode(array('status'=>true, 'form_id'=> $form_id, 'link'=> $redirect_url, 'post_status'=> $approve, 'message'=>esc_html__('The contribute was successfully saved and pending for approval.', 'campoal-tapo')));
                exit();
            } else {
                echo json_encode(array('status'=>true, 'form_id'=> $form_id, 'link'=> $redirect_url, 'post_status'=> $approve, 'message'=>esc_html__("The contribute was successfully saved but doesn't show on petition", 'campoal-tapo')));
                exit();
            }
        } else {
            echo json_encode(array('status'=>false, 'message'=> esc_html__('Something went wrong. The contribute was not saved.', 'campoal-tapo')));
            exit();
        }

        die();
	}
endif;
add_action( 'wp_ajax_nopriv_conikal_give_save_form', 'conikal_give_save_form' );
add_action( 'wp_ajax_conikal_give_save_form', 'conikal_give_save_form' );


/**
 * Get donations form by user id
 * 
 * @since Campoal Tapo 1.0.0
 */
if ( !function_exists('conikal_give_balance') ):
    function conikal_give_balance($user_id) {
        global $campoal_options;
        
        $service_fee_percent = isset($campoal_options['conikal_service_charge_field']) && $campoal_options['conikal_service_charge_field'] != '' ? $campoal_options['conikal_service_charge_field'] : 0;
        $transaction_fee_percent = isset($campoal_options['conikal_transaction_fee_field']) && $campoal_options['conikal_transaction_fee_field'] != '' ? $campoal_options['conikal_transaction_fee_field'] : 0;

        $total_withdraw = conikal_total_withdraw($user_id);

        $args = array(
            'post_type' => 'give_forms',
            'posts_per_page' => -1,
            'post_status' => array('publish'),
            'author' => $user_id
        );

        $query = new WP_Query($args);
        wp_reset_query();
        wp_reset_postdata();

        if ($query->have_posts()) {
            $contribution_ids = array();
            while( $query->have_posts() ) {
                $query->the_post();
                array_push($contribution_ids, get_the_ID());
            }

            $args = array(
                'give_forms' => $contribution_ids,
                'status' => 'publish',
                'order' => 'DESC'
            );

            $contributions = give_get_payments( $args );

            $total_received = 0;
            foreach ($contributions as $contribution) {
                $payment = new Give_Payment( $contribution->ID );
                $total_received = $total_received + $payment->total;
            }

            // calcular service fee
            $service_fee = ($total_received * $service_fee_percent / 100);
            $transaction_fee = ($total_received * $transaction_fee_percent / 100);
            $total_fee = $service_fee + $transaction_fee;
            $balance = $total_received - $total_fee;
            $balance = $balance - $total_withdraw;
        } else {
            $balance = 0;
        }

        return $balance;
    }
endif;


/**
 * Get petition id by form id
 *
 * @since Campoal Tapo 2.0.9
 */
if ( !function_exists('conikal_get_petition_by_form_id') ) :
    function conikal_get_petition_by_form_id($form_id) {
        if ( empty($form_id) ) {
            return;
        }

        $args = array(
            'post_type' => 'petition',
            'meta_query' => array(
                'relation' => 'AND',
                array(
                    'key'     => 'petition_contribute',
                    'value'   => $form_id,
                    'compare' => '==',
                    'type'    => 'NUMERIC'
                ),
            ),
        );
    
        $petitions = new WP_Query($args);
    
        wp_reset_query();
        wp_reset_postdata();
    
        if ($petitions->have_posts()) {
            $petition = $petitions->posts[0];
            $petition_id = $petition->ID;
        } else {
            $petition_id = false;
        }

        return $petition_id;
    }
endif;


/**
 * Get Petition by Donation ID
 *
 * @since Campoal Tapo 1.0.0
 */
if ( !function_exists('conikal_give_petition_by_form_id') ) :
    function conikal_give_petition_by_form_id($form_id) {
          $args = array(
              'post_type' => 'petition',
              'posts_per_page' => 1,
              'number' => 1,
              'post_status' =>  array('publish', 'pending'),
          );
  
          $args['meta_query'] = array('relation' => 'AND');
  
          array_push($args['meta_query'], array(
              'key'     => 'petition_contribute',
              'value'   => $form_id,
              'compare' => '='
          ));
  
          $query = new WP_Query($args);
  
          wp_reset_query();
          wp_reset_postdata();
  
          return $query;
    }
endif;


/**
 * Get donations form by author
 *
 * @since Campoal Tapo 1.0.0
 */
if ( !function_exists('conikal_give_donations_by_author') ) :
    function conikal_give_donations_by_author($user_id, $posts_per_page = false) {
          if (!$posts_per_page) {
              global $campoal_options;
              
              $posts_per_page_setting = isset($campoal_options['conikal_petitions_per_page_field']) ? $campoal_options['conikal_petitions_per_page_field'] : '';
              $posts_per_page = $posts_per_page_setting != '' ? $posts_per_page_setting : 10;
          }
  
          global $paged;
  
          $paged = (get_query_var('paged')) ? get_query_var('paged') : 1;
          $args = array(
              'post_type' => 'give_forms',
              'posts_per_page' => $posts_per_page,
              'paged' => $paged,
              'post_status' => array('publish'),
              'author' => $user_id
          );
  
          $query = new WP_Query($args);
  
          wp_reset_query();
          wp_reset_postdata();
  
          return $query;
    }
endif;

?>