<?php
/**
 * @package WordPress
 * @subpackage Campoal
 */


/**
 * Add icon field to menu item
 *
 * @since Campoal 2.2.0
 */
if ( !function_exists('conikal_menu_item_icon') ) : 
    function conikal_menu_item_icon( $item_id, $item ) {
        $menu_item_desc = get_post_meta( $item_id, '_menu_item_icon', true );
        ?>
        <p class="field-css-classes description description-wide">
            <label for="menu-item-icon-<?php echo esc_attr($item_id); ?>"><?php esc_html_e( "Icon name (optional)", 'campoal-tapo' ); ?></span><br />
            <input type="hidden" class="widefat edit-menu-item-attr-title" value="<?php echo esc_attr($item_id) ;?>" />
            <input type="text" class="widefat edit-menu-item-attr-title" name="menu_item_icon[<?php echo esc_attr($item_id) ;?>]" id="menu-item-icon-<?php echo esc_attr($item_id) ;?>" value="<?php echo esc_attr( $menu_item_desc ); ?>" />
            <br />
            <span class="description"><?php esc_html_e( "Enter icon name from ", 'campoal-tapo' ); ?><a target="_blank" href="https://semantic-ui.com/elements/icon.html"><?php esc_html_e('Semantic Icon') ?></a></span><br />
        </p>
        <?php
    }
    add_action( 'wp_nav_menu_item_custom_fields', 'conikal_menu_item_icon', 10, 2 );
endif;


/**
 * Save icon filed on menu item
 *
 * @since Campoal 2.2.0
 */
if ( !function_exists('conikal_save_menu_item_icon') ) : 
    function conikal_save_menu_item_icon( $menu_id, $menu_item_db_id ) {
        if ( isset( $_POST['menu_item_icon'][$menu_item_db_id]  ) ) {
            $sanitized_data = sanitize_text_field( $_POST['menu_item_icon'][$menu_item_db_id] );
            update_post_meta( $menu_item_db_id, '_menu_item_icon', $sanitized_data );
        } else {
            delete_post_meta( $menu_item_db_id, '_menu_item_icon' );
        }
    }
    add_action( 'wp_update_nav_menu_item', 'conikal_save_menu_item_icon', 10, 2 );
endif;