<?php
/**
 * @package WordPress
 * @subpackage Campoal Tapo
 */

 
add_action('admin_init', 'conikal_permalink_settings_init');
if(!function_exists('conikal_permalink_settings_init')) {
    function conikal_permalink_settings_init() {
        global $petition_config;
        
        if(!empty($petition_config['custom_post'])) {
            foreach($petition_config['custom_post'] as $cpt => $cpt_args)
            {
                // Add a section to the permalinks page
                add_settings_section('conikal_permalink', __('Petition Settings', 'campoal-tapo'), 'conikal_permalink_settings', 'permalink');
            }
        }
    }
}
 
 
if(!function_exists('conikal_permalink_settings')) {
    function conikal_permalink_settings() {
        global $petition_config;
 
        if(!empty($petition_config['custom_post']))
        {
            foreach($petition_config['custom_post'] as $cpt => $cpt_args)
            {           
                echo wpautop(__('These settings change the permalinks used for the', 'campoal-tapo') . ' ' . strtolower($cpt_args['args']['labels']['name']) . __('.', 'campoal-tapo'));
 
                $permalinks = get_option('conikal_permalink_settings');
                if(!$permalinks) $permalinks = array();
 
                $permalinks[$cpt.'_permalink_base'] = empty($permalinks[$cpt.'_permalink_base']) ? $cpt_args['args']['rewrite']['slug'] : $permalinks[$cpt.'_permalink_base'];
 
                if(!empty($petition_config['custom_taxonomy'][$cpt]))
                {
                    foreach($petition_config['custom_taxonomy'][$cpt] as $tax => $tax_args)
                    {
                        $permalinks[$tax.'_taxonomy_base'] = empty($permalinks[$tax.'_taxonomy_base']) ? $tax_args['args']['rewrite']['slug'] : $permalinks[$tax.'_taxonomy_base'];
                    }
                }
                ?>
 
                <table class="form-table">
                    <tbody>
                    <?php if ($cpt_args['args']['labels']['name']) : ?>
                    <tr>
                        <th><?php echo $cpt_args['args']['labels']['name']; ?></th>
                        <td>
                            <?php $option_id = $cpt.'_permalink_base'; ?>
                            <input name="<?php echo $option_id; ?>" id="<?php echo $option_id; ?>" type="text" value="<?php echo esc_attr($permalinks[$option_id]); ?>" class="regular-text code">
                        </td>
                    </tr>
                    <?php endif; ?>
            <?php
                if(!empty($petition_config['custom_taxonomy'][$cpt]))
                {
                    foreach($petition_config['custom_taxonomy'][$cpt] as $tax => $tax_args)
                    {
                ?>
                        <tr>
                            <th><?php echo $tax_args['args']['labels']['name']; ?></th>
                            <td>
                                <?php $option_id = $tax.'_taxonomy_base'; ?>
                                <input name="<?php echo $option_id; ?>" id="<?php echo $option_id; ?>" type="text" value="<?php echo esc_attr($permalinks[$option_id]); ?>" class="regular-text code">
                            </td>
                        </tr>
                <?php
                    }
                }
            ?>
                    </tbody>
                </table>
                
                <?php
            }
        }
    }
}
 
 
if(!function_exists('conikal_permalink_settings_save'))
{ 
    function conikal_permalink_settings_save()
    {
        global $petition_config;
        $permalinks = get_option('conikal_permalink_settings');
        if(!$permalinks) $permalinks = array();
 
        if(!empty($petition_config['custom_post']))
        {
            foreach($petition_config['custom_post'] as $cpt => $cpt_args)
            {
                $option_id = $cpt.'_permalink_base';
 
                // We need to save the options ourselves; settings api does not trigger save for the permalinks page
                if(isset($_POST[$option_id]))
                {
                    $permalinks[$option_id] = untrailingslashit(esc_html($_POST[$option_id]));
                }
 
                if(!empty($petition_config['custom_taxonomy'][$cpt]))
                {
                    foreach($petition_config['custom_taxonomy'][$cpt] as $tax => $tax_args)
                    {
                        $option_id = $tax.'_taxonomy_base';
 
                        if(isset($_POST[$option_id]))
                        {
                            $permalinks[$option_id] = untrailingslashit(esc_html($_POST[$option_id]));
                        }
                    }
                }
            }
 
            update_option('conikal_permalink_settings', $permalinks);
        }
    }
    add_action('admin_init', 'conikal_permalink_settings_save');
}

?>