<?php 

/**
 * Register citation custom post type
 *
 * @since Campoal Tapo 1.6.0
 */
if( !function_exists('conikal_register_citation_type') ):
    function conikal_register_citation_type() {
        global $petition_config;

        $citation_labels_args = array(
            'name'                  => esc_html__('Citations', 'campoal-tapo'),
            'singular_name'         => esc_html__('Citation', 'campoal-tapo'),
            'add_new'               => esc_html__('Add New Citation', 'campoal-tapo'),
            'add_new_item'          => esc_html__('Add Citation', 'campoal-tapo'),
            'edit'                  => esc_html__('Edit', 'campoal-tapo'),
            'edit_item'             => esc_html__('Edit Citation', 'campoal-tapo'),
            'new_item'              => esc_html__('New Citation', 'campoal-tapo'),
            'view'                  => esc_html__('View', 'campoal-tapo'),
            'view_item'             => esc_html__('View Citation', 'campoal-tapo'),
            'search_items'          => esc_html__('Search Citations', 'campoal-tapo'),
            'not_found'             => esc_html__('No Citations found', 'campoal-tapo'),
            'not_found_in_trash'    => esc_html__('No Citations found in Trash', 'campoal-tapo'),
            'parent'                => esc_html__('Parent Citation', 'campoal-tapo'),
        );

        $permalinks = get_option('conikal_permalink_settings');
        if(!$permalinks) $permalinks = array();

        $permalinks['citation_permalink_base'] = empty($permalinks['citation_permalink_base']) ? 'citation' : $permalinks['citation_permalink_base'];

        $citation_args = array(
            'labels'                => $citation_labels_args,
            'public'                => true,
            'exclude_from_search '  => true,
            'has_archive'           => true,
            'rewrite'               => array('slug'=>_x($permalinks['citation_permalink_base'],'URL slug','campoal-tapo'), 'with_front'=>true),
            'show_in_rest'          => true,
            'supports'              => array('title', 'author', 'editor', 'comments', 'shortlinks'),
            'can_export'            => true,
            'menu_icon'             => 'dashicons-editor-quote'
        );

        $citation_args = apply_filters('avf_citation_cpt_args', $citation_args);
        $petition_config['custom_post']['citation']['args'] = $citation_args;

        register_post_type('citation', $citation_args);
    }
endif;
add_action('init', 'conikal_register_citation_type');
?>