<?php 
/**
 * Register testimonials custom post type
 *
 * @since Campoal Tapo 1.0.0
 */
if( !function_exists('conikal_register_testimonials_type') ):
    function conikal_register_testimonials_type() {
        register_post_type('testimonials', array(
            'labels' => array(
                'name'                  => esc_html__('Testimonials', 'campoal-tapo'),
                'singular_name'         => esc_html__('Testimonial', 'campoal-tapo'),
                'add_new'               => esc_html__('Add New Testimonial', 'campoal-tapo'),
                'add_new_item'          => esc_html__('Add Testimonial', 'campoal-tapo'),
                'edit'                  => esc_html__('Edit', 'campoal-tapo'),
                'edit_item'             => esc_html__('Edit Testimonial', 'campoal-tapo'),
                'new_item'              => esc_html__('New Testimonial', 'campoal-tapo'),
                'view'                  => esc_html__('View', 'campoal-tapo'),
                'view_item'             => esc_html__('View Testimonial', 'campoal-tapo'),
                'search_items'          => esc_html__('Search Testimonials', 'campoal-tapo'),
                'not_found'             => esc_html__('No Testimonials found', 'campoal-tapo'),
                'not_found_in_trash'    => esc_html__('No Testimonials found in Trash', 'campoal-tapo'),
                'parent'                => esc_html__('Parent Testimonial', 'campoal-tapo'),
            ),
            'public'                => true,
            'exclude_from_search '  => true,
            'has_archive'           => true,
            'rewrite'               => array('slug' => 'testimonials'),
            'supports'              => array('title', 'editor', 'thumbnail'),
            'can_export'            => true,
            'menu_icon'             => 'dashicons-format-status'
        ));
    }
endif;
add_action('init', 'conikal_register_testimonials_type');

if( !function_exists('conikal_change_testimonials_default_title') ):
    function conikal_change_testimonials_default_title($title) {
        $screen = get_current_screen();
        if ('testimonials' == $screen->post_type) {
            $title = esc_html__('Enter customer name here', 'campoal-tapo');
        }
        return $title;
    }
endif;
add_filter('enter_title_here', 'conikal_change_testimonials_default_title');
?>