<?php
/**
 * @package WordPress
 * @subpackage Campoal Tapo
 */

/**
 * Save new petition
 *
 * @since Campoal Tapo 1.0.0
 */
if( !function_exists('conikal_save_petition') ): 
    function conikal_save_petition() {
        check_ajax_referer('submit_petition_ajax_nonce', 'security');
        global $campoal_options;
        $allowed_html = conikal_content_allowed_html();

        $receiver_step = isset($campoal_options['conikal_receiver_step_field']) ? $campoal_options['conikal_receiver_step_field'] : 1;
        $p_category = isset($campoal_options['conikal_p_category_field']) ? $campoal_options['conikal_p_category_field'] : '';
        $p_category_r = isset($campoal_options['conikal_p_category_r_field']) ? $campoal_options['conikal_p_category_r_field'] : '';
        $p_topics = isset($campoal_options['conikal_p_topics_field']) ? $campoal_options['conikal_p_topics_field'] : '';
        $p_topics_r = isset($campoal_options['conikal_p_topics_r_field']) ? $campoal_options['conikal_p_topics_r_field'] : '';
        $p_city = isset($campoal_options['conikal_p_city_field']) ? $campoal_options['conikal_p_city_field'] : '';
        $p_city_r = isset($campoal_options['conikal_p_city_r_field']) ? $campoal_options['conikal_p_city_r_field'] : '';
        $p_coordinates = isset($campoal_options['conikal_p_coordinates_field']) ? $campoal_options['conikal_p_coordinates_field'] : '';
        $p_coordinates_r = isset($campoal_options['conikal_p_coordinates_r_field']) ? $campoal_options['conikal_p_coordinates_r_field'] : '';
        $p_address = isset($campoal_options['conikal_p_address_field']) ? $campoal_options['conikal_p_address_field'] : '';
        $p_address_r = isset($campoal_options['conikal_p_address_r_field']) ? $campoal_options['conikal_p_address_r_field'] : '';
        $p_neighborhood = isset($campoal_options['conikal_p_neighborhood_field']) ? $campoal_options['conikal_p_neighborhood_field'] : '';
        $p_neighborhood_r = isset($campoal_options['conikal_p_neighborhood_r_field']) ? $campoal_options['conikal_p_neighborhood_r_field'] : '';
        $p_zip = isset($campoal_options['conikal_p_zip_field']) ? $campoal_options['conikal_p_zip_field'] : '';
        $p_zip_r = isset($campoal_options['conikal_p_zip_r_field']) ? $campoal_options['conikal_p_zip_r_field'] : '';
        $p_state = isset($campoal_options['conikal_p_state_field']) ? $campoal_options['conikal_p_state_field'] : '';
        $p_state_r = isset($campoal_options['conikal_p_state_r_field']) ? $campoal_options['conikal_p_state_r_field'] : '';
        $p_country = isset($campoal_options['conikal_p_country_field']) ? $campoal_options['conikal_p_country_field'] : '';
        $p_country_r = isset($campoal_options['conikal_p_country_r_field']) ? $campoal_options['conikal_p_country_r_field'] : '';
        $p_receiver = isset($campoal_options['conikal_p_receiver_field']) ? $campoal_options['conikal_p_receiver_field'] : '';
        $p_receiver_r = isset($campoal_options['conikal_p_receiver_r_field']) ? $campoal_options['conikal_p_receiver_r_field'] : '';
        $p_position = isset($campoal_options['conikal_p_position_field']) ? $campoal_options['conikal_p_position_field'] : '';
        $p_position_r = isset($campoal_options['conikal_p_position_r_field']) ? $campoal_options['conikal_p_position_r_field'] : '';
        $p_supporters = isset($campoal_options['conikal_p_supporters_field']) ? $campoal_options['conikal_p_supporters_field'] : '';
        $p_goal = isset($campoal_options['conikal_p_goal_field']) ? $campoal_options['conikal_p_goal_field'] : '';
        $p_goal_r = isset($campoal_options['conikal_p_goal_r_field']) ? $campoal_options['conikal_p_goal_r_field'] : '';
        $p_goal_d = isset($campoal_options['conikal_p_goal_default_field']) ? $campoal_options['conikal_p_goal_default_field'] : '';
        $p_photo_video = isset($campoal_options['conikal_p_photo_video_field']) ? $campoal_options['conikal_p_photo_video_field'] : 1;
        $p_photo_video_r = isset($campoal_options['conikal_p_photo_video_r_field']) ? $campoal_options['conikal_p_photo_video_r_field'] : 1;
        $recaptcha_submit_petition = isset($campoal_options['conikal_google_recaptcha_submit_petition_field']) ? $campoal_options['conikal_google_recaptcha_submit_petition_field'] : 1;
        $custom_fields_mode = isset($campoal_options['conikal_custom_fields_mode_field']) ? $campoal_options['conikal_custom_fields_mode_field'] : 0;

        $user_id = isset($_POST['user']) ? sanitize_text_field($_POST['user']) : '';
        $new_id = isset($_POST['new_id']) ? sanitize_text_field($_POST['new_id']) : '';
        $title = isset($_POST['title']) ? sanitize_text_field($_POST['title']) : '';
        $content = isset($_POST['content']) ? wp_kses($_POST['content'], $allowed_html) : '';
        $letter = isset($_POST['letter']) ? wp_kses($_POST['letter'], $allowed_html) : '';
        $category = isset($_POST['category']) ? sanitize_text_field($_POST['category']) : '';
        $heading = isset($_POST['heading']) ? sanitize_text_field($_POST['heading']) : '';
        $excerpt = isset($_POST['excerpt']) ? sanitize_text_field($_POST['excerpt']) : '';
        $topics = isset($_POST['topics']) ? sanitize_text_field($_POST['topics']) : '';
        $city = isset($_POST['city']) ? sanitize_text_field($_POST['city']) : '';
        $lat = isset($_POST['lat']) ? sanitize_text_field($_POST['lat']) : '';
        $lng = isset($_POST['lng']) ? sanitize_text_field($_POST['lng']) : '';
        $address = isset($_POST['address']) ? sanitize_text_field($_POST['address']) : '';
        $neighborhood = isset($_POST['neighborhood']) ? sanitize_text_field($_POST['neighborhood']) : '';
        $zip = isset($_POST['zip']) ? sanitize_text_field($_POST['zip']) : '';
        $state = isset($_POST['state']) ? sanitize_text_field($_POST['state']) : '';
        $country = isset($_POST['country']) ? sanitize_text_field($_POST['country']) : '';
        $receiver = isset($_POST['receiver']) ? sanitize_text_field($_POST['receiver']) : '';
        $position = isset($_POST['position']) ? sanitize_text_field($_POST['position']) : '';
        $decisionmakers = isset($_POST['decisionmakers']) ? sanitize_text_field($_POST['decisionmakers']) : '';
        $goal = isset($_POST['goal']) ? sanitize_text_field($_POST['goal']) : '';
        $video = isset($_POST['video']) ? sanitize_text_field($_POST['video']) : '';
        $thumb = isset($_POST['thumb']) ? sanitize_text_field($_POST['thumb']) : '';
        $thumb_small = isset($_POST['thumb_small']) ? sanitize_text_field($_POST['thumb_small']) : '';
        $gallery = isset($_POST['gallery']) ? sanitize_text_field($_POST['gallery']) : '';
        $attach_id = isset($_POST['attach']) ? sanitize_text_field($_POST['attach']) : '';
        $status = isset($_POST['status']) ? sanitize_text_field($_POST['status']) : 0;
        $sendinblue_list = isset($_POST['sendinblue_list']) ? sanitize_text_field($_POST['sendinblue_list']) : '';

        
        $review = isset($campoal_options['conikal_review_field']) ? $campoal_options['conikal_review_field'] : 0;
        if($review == 0 || user_can($user_id, 'administrator') || user_can($user_id, 'editor')) {
            $prop_status = 'publish';
        } else {
            $prop_status = 'pending';
        }

        $prop = array(
            'post_title' => $title,
            'post_content' => $content,
            'post_type' => 'petition',
            'post_author' => $user_id,
            'post_excerpt' => $excerpt,
        );

        if($new_id != '') {
            $prop['ID'] = $new_id;
        } else {
            $prop['post_status'] = $prop_status;
        }

        if($title == '') {
            echo json_encode(array('status'=>false, 'message'=>esc_html__('Title field is mandatory.', 'campoal-tapo')));
            exit();
        }
        
        if($content == '') {
            echo json_encode(array('status'=>false, 'message'=>esc_html__('Content field is mandatory.', 'campoal-tapo')));
            exit();
        }

        if($category == '' && $p_category == 1 && $p_category_r == 1) {
            echo json_encode(array('status'=>false, 'message'=>esc_html__('Category field is mandatory.', 'campoal-tapo')));
            exit();
        }

        if($topics == '' && $p_topics == 1 && $p_topics_r == 1) {
            echo json_encode(array('status'=>false, 'message'=>esc_html__('Topics field is mandatory.', 'campoal-tapo')));
            exit();
        }

        if($lat == '' && $lng == '' && $p_coordinates == 1 && $p_coordinates_r == 1) {
            echo json_encode(array('status'=>false, 'message'=>esc_html__('Coordinates fields are mandatory.', 'campoal-tapo')));
            exit();
        }

        if($address == '' && $p_address == 1 && $p_address_r == 1) {
            echo json_encode(array('status'=>false, 'message'=>esc_html__('Address field is mandatory.', 'campoal-tapo')));
            exit();
        }

        if($neighborhood == '' && $p_neighborhood == 1 && $p_neighborhood_r == 1) {
            echo json_encode(array('status'=>false, 'message'=>esc_html__('Neighborhood field is mandatory.', 'campoal-tapo')));
            exit();
        }

        if($zip == '' && $p_zip == 1 && $p_zip_r == 1) {
            echo json_encode(array('status'=>false, 'message'=>esc_html__('Zip Code field is mandatory.', 'campoal-tapo')));
            exit();
        }

        if($state == '' && $p_state == 1 && $p_state_r == 1) {
            echo json_encode(array('status'=>false, 'message'=>esc_html__('County/State field is mandatory.', 'campoal-tapo')));
            exit();
        }

        if($country == '' && $p_country == 1 && $p_country_r == 1) {
            echo json_encode(array('status'=>false, 'message'=>esc_html__('Country field is mandatory.', 'campoal-tapo')));
            exit();
        }

        if($receiver_step == 1 && strlen($receiver) < 3 && $p_receiver == 1 && $p_receiver_r == 1) {
            echo json_encode(array('status'=>false, 'message'=>esc_html__('Receiver field is mandatory.', 'campoal-tapo')));
            exit();
        }

        if($receiver_step == 1 && strlen($position) < 3 && $p_position == 1 && $p_position_r == 1) {
            echo json_encode(array('status'=>false, 'message'=>esc_html__('Position field is mandatory.', 'campoal-tapo')));
            exit();
        }

        if($goal == '' && $p_goal == 1 && $p_goal_r == 1) {
            echo json_encode(array('status'=>false, 'message'=>esc_html__('Goal field is mandatory.', 'campoal-tapo')));
            exit();
        }

        if($gallery == '' && $video == '' && $p_photo_video_r == 1) {
            echo json_encode(array('status'=>false, 'message'=>esc_html__('Upload a photo or embed a video.', 'campoal-tapo')));
            exit();
        }

        // Vertify Google reCAPTCHA
        if (conikal_show_google_reCaptcha() && $recaptcha_submit_petition == 1 && empty($new_id)) {
            conikal_google_recaptcha_callback();
        }

        $categories = array_map('intval', explode(',', $category));
        if (count($categories) <= 1) {
            $category = array(intval($category));
        } else {
            $category = $categories;
        }

        if ($topics != '') {
            $topics = explode(',', $topics);
        }

        
        
        if ($new_id != '') {
            $prop_id = wp_update_post($prop);
            $addsign = '';
            update_post_meta($prop_id, 'petition_letter', $letter);
        } else {
            $prop_id = wp_insert_post($prop);
            $addsign = conikal_add_to_signatures_plus( $user_id, $prop_id, '', 1, 0);
            update_post_meta($prop_id, 'petition_letter', $title);
        }
        wp_set_object_terms($prop_id, $category, 'petition_category');
        wp_set_object_terms($prop_id, $topics, 'petition_topics');


        // update decision maker id
        if ($decisionmakers != '') {
            $decisionmakers = array_filter( array_unique(explode(',', $decisionmakers)) );

            delete_post_meta($prop_id, 'petition_decisionmakers');
            foreach ($decisionmakers as $id) {
                add_post_meta($prop_id, 'petition_decisionmakers', $id);
            }
        } else {
            delete_post_meta($prop_id, 'petition_decisionmakers');
        }

        update_post_meta($prop_id, 'petition_heading', $heading);
        update_post_meta($prop_id, 'petition_city', $city);
        update_post_meta($prop_id, 'petition_lat', $lat);
        update_post_meta($prop_id, 'petition_lng', $lng);
        update_post_meta($prop_id, 'petition_address', $address);
        update_post_meta($prop_id, 'petition_neighborhood', $neighborhood);
        update_post_meta($prop_id, 'petition_zip', $zip);
        update_post_meta($prop_id, 'petition_state', $state);
        update_post_meta($prop_id, 'petition_country', $country);
        update_post_meta($prop_id, 'petition_receiver', $receiver);
        update_post_meta($prop_id, 'petition_position', $position);
        update_post_meta($prop_id, 'petition_goal', $goal);
        update_post_meta($prop_id, 'petition_video', $video);
        update_post_meta($prop_id, 'petition_thumb', $thumb);
        update_post_meta($prop_id, 'petition_thumb_small', $thumb_small);
        update_post_meta($prop_id, 'petition_gallery', $gallery);
        update_post_meta($prop_id, 'petition_status', $status);
        update_post_meta($prop_id, 'petition_sendinblue_list', $sendinblue_list);

        $prop_link = get_permalink($prop_id);
        $post_thumbnail = set_post_thumbnail( $prop_id, $attach_id );
        $approve = get_post_status($prop_id);

        if ($approve == 'pending') {
            $author_link = get_author_posts_url($user_id);
            if ($author_link) {
                $prop_link = $author_link;
            } else {
                $prop_link = add_query_arg(array('action' => 'updated'), $prop_link);
            }
        } elseif ($new_id != '') {
            $prop_link = add_query_arg(array('action' => 'updated'), $prop_link);
        } elseif (class_exists('ACF') && $custom_fields_mode) {
            $page_submit_petition = isset($campoal_options['conikal_page_submit_petition_field']) ? $campoal_options['conikal_page_submit_petition_field'] : 0;
            $prop_link = $page_submit_petition ? add_query_arg(array('step' => 'infomations', 'petition_id' => $prop_id), get_permalink($page_submit_petition)) : $prop_link;
        }

        // send new petition notification email for admin
        conikal_admin_petition_notification($prop_id, $user_id, $new_id);

        // send new petition confirm email for petition owner
        conikal_petition_confirm_notification($prop_id, $user_id, $new_id);

        // send email to decision makers
        conikal_decision_maker_notification('new', $prop_id, $user_id);

        if($prop_id != 0) {
            if($review == 0) {
                echo json_encode(array('status' => true, 'petition_id' => $prop_id, 'propLink' => $prop_link, 'addsign' => $addsign, 'thumbnail' => $post_thumbnail, 'propStatus'=>'publish', 'message'=>esc_html__('The petition was successfully saved and published.', 'campoal-tapo')));
                exit();
            } else {
                echo json_encode(array('status' => true, 'petition_id' => $prop_id, 'propLink' => $prop_link, 'addsign' => $addsign, 'thumbnail' => $post_thumbnail, 'propStatus'=>'pending', 'message'=>esc_html__('The petition was successfully saved and pending for approval.', 'campoal-tapo')));
                exit();
            }
        } else {
            echo json_encode(array('status'=>false, 'message'=>esc_html__('Something went wrong. The petition was not saved.', 'campoal-tapo')));
            exit();
        }

        die();
    }
endif;
add_action( 'wp_ajax_nopriv_conikal_save_petition', 'conikal_save_petition' );
add_action( 'wp_ajax_conikal_save_petition', 'conikal_save_petition' );


/**
 * Update petition letter
 *
 * @since Campoal Tapo 1.0.0
 */
if( !function_exists('conikal_update_letter') ): 
    function conikal_update_letter() {
        check_ajax_referer('letter_ajax_nonce', 'security');

        $allowed_html = conikal_content_allowed_html();
        $post_id = isset($_POST['post_id']) ? sanitize_text_field($_POST['post_id']) : '';
        $letter = isset($_POST['letter']) ? wp_kses($_POST['letter'], $allowed_html) : '';
        
        if($letter == '') {
            echo json_encode(array('status'=>false, 'message'=> esc_html__('Letter field is mandatory.', 'campoal-tapo')));
            exit();
        }
        update_post_meta($post_id, 'petition_letter', $letter);

        $content = wpautop($letter);
        
        echo json_encode(array('status'=>true, 'content' => $content, 'message' => 'The petition was saved successfully!'));

        die();
    }
endif;
add_action( 'wp_ajax_nopriv_conikal_update_letter', 'conikal_update_letter' );
add_action( 'wp_ajax_conikal_update_letter', 'conikal_update_letter' );


/**
 * Save custom heading petition on social network
 *
 * @since Campoal Tapo 1.0.0
 */
if( !function_exists('conikal_update_custom_heading') ): 
    function conikal_update_custom_heading() {
        check_ajax_referer('custom_heading_ajax_nonce', 'security');
        $post_id = isset($_POST['post_id']) ? sanitize_text_field($_POST['post_id']) : '';
        $heading = isset($_POST['heading']) ? sanitize_text_field($_POST['heading']) : '';
        
        if($heading == '') {
            echo json_encode(array('status'=>false, 'message'=>esc_html__('Custom heading field is mandatory.', 'campoal-tapo')));
            exit();
        }
        update_post_meta($post_id, 'petition_heading', $heading);
        
        echo json_encode(array('status'=>true, 'heading' => $heading, 'message' => 'The custom heading was saved successfully!'));
        die();
    }
endif;
add_action( 'wp_ajax_nopriv_conikal_update_custom_heading', 'conikal_update_custom_heading' );
add_action( 'wp_ajax_conikal_update_custom_heading', 'conikal_update_custom_heading' );

/**
 * Set new goal
 *
 * @since Campoal Tapo 1.0.0
 */
if( !function_exists('conikal_set_goal') ): 
    function conikal_set_goal() {
        check_ajax_referer('dashboard_petition_ajax_nonce', 'security');

        $post_id = isset($_POST['post_id']) ? sanitize_text_field($_POST['post_id']) : '';
        $goal = isset($_POST['goal']) ? sanitize_text_field($_POST['goal']) : '';
        
        if($goal == '') {
            echo json_encode(array('status'=>false, 'message'=>esc_html__('Goal field is mandatory.', 'campoal-tapo')));
            exit();
        }

        update_post_meta($post_id, 'petition_goal', $goal);
        
        echo json_encode(array('status'=>true, 'message' => 'The new goal was saved successfully!'));

        die();
    }
endif;
add_action( 'wp_ajax_nopriv_conikal_set_goal', 'conikal_set_goal' );
add_action( 'wp_ajax_conikal_set_goal', 'conikal_set_goal' );


/**
 * Set new auto increase goal percent
 *
 * @since Campoal Tapo 1.0.0
 */
if( !function_exists('conikal_set_auto_increase_goal_percent') ): 
    function conikal_set_auto_increase_goal_percent() {
        check_ajax_referer('dashboard_petition_ajax_nonce', 'security');

        $post_id = isset($_POST['post_id']) ? sanitize_text_field($_POST['post_id']) : '';
        $percent = isset($_POST['percent']) ? sanitize_text_field($_POST['percent']) : '';
        
        if($percent == '') {
            echo json_encode(array('status'=>false, 'message'=>esc_html__('Increase Percent Goal field is mandatory.', 'campoal-tapo')));
            exit();
        }

        update_post_meta($post_id, 'petition_increase', $percent);
        
        echo json_encode(array('status'=>true, 'message' => 'The new increase percent was saved successfully!'));

        die();
    }
endif;
add_action( 'wp_ajax_nopriv_conikal_set_auto_increase_goal_percent', 'conikal_set_auto_increase_goal_percent' );
add_action( 'wp_ajax_conikal_set_auto_increase_goal_percent', 'conikal_set_auto_increase_goal_percent' );


/**
 * Save new co-author
 *
 * @since Campoal Tapo 1.0.0
 */
if( !function_exists('conikal_add_co_author') ): 
    function conikal_add_co_author() {
        check_ajax_referer('dashboard_petition_ajax_nonce', 'security');

        $post_id = isset($_POST['post_id']) ? sanitize_text_field($_POST['post_id']) : '';
        $type = isset($_POST['type']) ? sanitize_text_field($_POST['type']) : '';
        $co_author = isset($_POST['co_author']) ? sanitize_text_field($_POST['co_author']) : '';
        $author_id = get_post_field('post_author', $post_id);
        $post_type = get_post_type($post_id);

        $co_author_key = 'petition_authors';
        if ($post_type == 'give_forms') {
            $co_author_key = '_give_authors';
        }

        $authors = get_post_meta($post_id, $co_author_key, true);
        
        if (empty($co_author)) {
            echo json_encode(array('status'=>false, 'message'=>esc_html__('Username or Email is empty!', 'campoal-tapo')));
            exit();
        }

        if($co_author && is_email($co_author)) {
            $user_data = get_user_by('email', $co_author);
            if(empty($user_data)) {
                echo json_encode(array('status'=>false, 'message'=>esc_html__('Invalid email address!', 'campoal-tapo')));
                exit();
            }
        } elseif ($co_author) {
            $user_data = get_user_by('login', $co_author);
            if(empty($user_data)) {
                echo json_encode(array('status'=>false, 'message'=>esc_html__('Invalid username!', 'campoal-tapo')));
                exit();
            }
        }

        if ($type == 'add') {
            if ($authors == '') {
                $authors = array();
                update_post_meta($post_id, $co_author_key, $authors);
            }

            if ($author_id == $user_data->ID) {
                echo json_encode(array('status'=>false, 'message'=>esc_html__('You can not add your selt to as an co-author.', 'campoal-tapo')));
                exit();
            }

            if(in_array($user_data->ID, $authors) === true) {
                echo json_encode(array('status'=>false, 'message'=>esc_html__('This author already exists!', 'campoal-tapo')));
                exit();
            } else {
                array_push($authors, $user_data->ID);
                $update_co_auhtor = update_post_meta($post_id, $co_author_key, $authors);
            }

            // check co-author empty and return result
            if (!empty($update_co_auhtor)) {
                // send email notification for co author
                conikal_co_author_invite_notification($post_id, $author_id, $user_data->ID);

                echo json_encode( array('status'=>true, 'message' => esc_html('The new co-author was added successfully!', 'campoal-tapo') ) );
            } else {
                echo json_encode( array('status'=>true, 'message' => esc_html('No co-author added!', 'campoal-tapo') ) );               
            }
        } else {
            if(in_array($user_data->ID, $authors) === true) {
                $authors = array_diff($authors, array($user_data->ID));
                $remove_co_author = update_post_meta($post_id, $co_author_key, $authors);
            }

            // check co author array and return result
            if (!empty($remove_co_author)) {
                echo json_encode( array('status'=>true, 'message' => esc_html__('Co-author has been removed successfully!', 'campoal-tapo') ) );
            } else {
                echo json_encode( array('status'=>true, 'message' => esc_html__('All co-authors has been removed successfully!', 'campoal-tapo') ) );               
            }
        }

        die();
    }
endif;
add_action( 'wp_ajax_nopriv_conikal_add_co_author', 'conikal_add_co_author' );
add_action( 'wp_ajax_conikal_add_co_author', 'conikal_add_co_author' );


/**
 * Reopen petition set status
 *
 * @since Campoal Tapo 1.0.0
 */
if( !function_exists('conikal_status_petition') ): 
    function conikal_status_petition() {
        check_ajax_referer('dashboard_petition_ajax_nonce', 'security');

        $post_id = isset($_POST['post_id']) ? sanitize_text_field($_POST['post_id']) : '';
        $status = isset($_POST['status']) ? sanitize_text_field($_POST['status']) : 0;

        update_post_meta($post_id, 'petition_status', $status);
        $link = get_permalink($post_id);

        echo json_encode(array('status'=>true, 'link' => $link, 'message' => 'The new goal was saved successfully!'));

        die();
    }
endif;
add_action( 'wp_ajax_nopriv_conikal_status_petition', 'conikal_status_petition' );
add_action( 'wp_ajax_conikal_status_petition', 'conikal_status_petition' );


/**
 * Delete the petition
 *
 * @since Campoal Tapo 1.0.0
 */
if( !function_exists('conikal_delete_petition') ): 
    function conikal_delete_petition() {
        check_ajax_referer('submit_petition_ajax_nonce', 'security');

        $del_id = isset($_POST['new_id']) ? sanitize_text_field($_POST['new_id']) : '';

        $del_prop = wp_delete_post($del_id);

        if($del_prop) {
            echo json_encode(array('status'=>true, 'message'=>esc_html__('The petition was successfully deleted. Redirecting...', 'campoal-tapo')));
            exit();
        } else {
            echo json_encode(array('status'=>false, 'message'=>esc_html__('Something went wrong. The petition was not deleted.', 'campoal-tapo')));
            exit();
        }

        die();
    }
endif;
add_action( 'wp_ajax_nopriv_conikal_delete_petition', 'conikal_delete_petition' );
add_action( 'wp_ajax_conikal_delete_petition', 'conikal_delete_petition' );


?>