<?php

/**
* Do shortcode two factor authentication form
*
* @since Campoal Tapo 1.9.9
*/

use \WP2FA\Shortcodes\Shortcodes as Shortcodes;

if (!function_exists('conikal_two_factor_form')) :
    function conikal_two_factor_form() {
        if ( !class_exists('WP2FA\Shortcodes\Shortcodes') ) {
            return false;
        }

        $wp2fa_shortcode        = new Shortcodes;
        $user_account_page      = conikal_get_assign_page('conikal_page_user_account_field');
        $wpfa_configure         = $user_account_page ? add_query_arg(array('tab' => '2fa'), $user_account_page->link) : '';

        return $wp2fa_shortcode->user_setup_2fa_form( array(
            'show_preamble' => 'true',
            'redirect_after' => '',
            ) 
        );
    }
endif;

/**
* Do shortcode two factor authentication notice
*
* @since Campoal Tapo 1.9.9
*/
if (!function_exists('conikal_two_factor_notice')) :
    function conikal_two_factor_notice() {
        if ( !class_exists('WP2FA\Shortcodes\Shortcodes') ) {
            return false;
        }

        $wp2fa_shortcode        = new Shortcodes;
        $user_account_page      = conikal_get_assign_page('conikal_page_user_account_field');
        $wpfa_configure         = $user_account_page ? add_query_arg(array('tab' => '2fa'), $user_account_page->link) : ''; 

        return $wp2fa_shortcode->user_setup_2fa_notice( array(
            'configure_2fa_url' => $wpfa_configure
            ) 
        );
    }
endif;