<?php


/**
 * Category shortcode
 */
if( !function_exists('conikal_category_shortcode') ): 
    function conikal_category_shortcode($attrs, $content = null) {
        extract(shortcode_atts(array(
            'title' => 'Categories',
            'type' => 'category',
            'slugs' => ''
        ), $attrs));

        $return_string = conikal_category_grid_render($attrs, $content);
        return $return_string;
    }
endif;


// interact with visual composer

add_action( 'vc_before_init', 'conikal_vc_category_shortcode' );
function conikal_vc_category_shortcode() {
   vc_map( array(
      "name" => esc_html__('Categories', 'campoal-tapo'),
      "base" => 'category',
      "class" => '',
      "category" => esc_html__('Campoal', 'campoal-tapo'),
      'admin_enqueue_js' => plugin_dir_url( __FILE__ ) . 'vc_extend/bartag.js',
      'admin_enqueue_css' => plugin_dir_url( __FILE__ ) . 'vc_extend/bartag.css',
      "icon" => plugin_dir_url( __FILE__ ) . 'images/campoal-icon.svg',
      "params" => array(
        array(
            "type" => 'textfield',
            "holder" => 'div',
            "class" => '',
            "heading" => esc_html__('Title', 'campoal-tapo'),
            "param_name" => 'title',
            "value" => '',
            "description" => esc_html__('Title of Segment', 'campoal-tapo')
        ),
        array(
            "type" => 'dropdown',
            "holder" => 'div',
            "class" => '',
            "heading" => esc_html__('Type', 'campoal-tapo'),
            "param_name" => 'type',
            "value" => array(
                'Category' => 'category',
                'Topics' => 'topics',
                ),
            "std" => 'category',
            "description" => esc_html__('Display Topics or Category', 'campoal-tapo')
        ),
        array(
            "type" => 'textfield',
            "holder" => 'div',
            "class" => '',
            "heading" => esc_html__('Slug or ID (separate by commas)', 'campoal-tapo'),
            "param_name" => 'slugs',
            "value" => '',
            "description" => esc_html__('Slug or ID (separate by commas)', 'campoal-tapo')
        )
      )
   ) );
}

?>