<?php

/**
 * Featured blog posts shortcode
 */
if( !function_exists('conikal_featured_posts_shortcode') ): 
    function conikal_featured_posts_shortcode($attrs, $content, $is_preview) {
        extract(shortcode_atts(array(
            'title' => 'Featured Posts',
            'show' => '4',
            'carousel' => 'no',
            'column' => 'four',
            'hover' => false,
        ), $attrs));

        $show = conikal_show_number_block_preview($is_preview, $carousel, $column, $show);
        $paged = (get_query_var('paged')) ? get_query_var('paged') : 1;

        $args = array(
            'posts_per_page'    => $show,
            'paged'             => $paged,
            'post_type'         => 'post',
            'orderby'           => 'post_date',
            'meta_key'          => 'post_featured',
            'meta_value'        => '1',
            'order'             => 'DESC',
            'post_status'       => 'publish');
        $posts = new WP_Query($args);

        $return_string = conikal_shortcode_loop_post($posts, $attrs, $content);

        wp_reset_postdata();
        wp_reset_query();
        return $return_string;
    }
endif;


// interact with visual composer

add_action( 'vc_before_init', 'conikal_vc_featured_posts_shortcode' );
function conikal_vc_featured_posts_shortcode() {
   vc_map( array(
      "name" => esc_html__('Featured Posts', 'campoal-tapo'),
      "base" => 'featured_posts',
      "class" => '',
      "category" => esc_html__('Campoal', 'campoal-tapo'),
      'admin_enqueue_js' => plugin_dir_url( __FILE__ ) . 'vc_extend/bartag.js',
      'admin_enqueue_css' => plugin_dir_url( __FILE__ ) . 'vc_extend/bartag.css',
      "icon" => plugin_dir_url( __FILE__ ) . 'images/campoal-icon.svg',
      "params" => array(
        array(
            "type" => 'textfield',
            "holder" => 'div',
            "class" => '',
            "heading" => esc_html__('Title', 'campoal-tapo'),
            "param_name" => 'title',
            "value" => 'Featured Posts',
            "description" => esc_html__('Title of Segment', 'campoal-tapo')
        ),
        array(
            "type" => 'textfield',
            "holder" => 'div',
            "class" => '',
            "heading" => esc_html__('Show Number', 'campoal-tapo'),
            "param_name" => 'show',
            "value" => 4,
            "description" => esc_html__('Number of Petitions', 'campoal-tapo')
        ),
        array(
            "type" => 'dropdown',
            "holder" => 'div',
            "class" => '',
            "heading" => esc_html__('Carousel Mode', 'campoal-tapo'),
            "param_name" => 'carousel',
            "value" => array(
                'No' => 'no',
                'Yes' => 'yes',
                ),
            "std" => 'no',
            "description" => esc_html__('Display petitions in carousel style', 'campoal-tapo')
        ),
        array(
            "type" => 'dropdown',
            "holder" => 'div',
            "class" => '',
            "heading" => esc_html__('Column', 'campoal-tapo'),
            "param_name" => 'column',
            "value" => array(
                '2' => 'two',
                '3' => 'three',
                '4' => 'four',
                ),
            "std" => 'four',
            "description" => esc_html__('Column of Petitions', 'campoal-tapo')
        ),
        array(
            "type" => 'checkbox',
            "holder" => 'div',
            "class" => '',
            "heading" => esc_html__('Active hover', 'campoal-tapo'),
            "param_name" => 'hover',
            "description" => esc_html__('Active hover card', 'campoal-tapo')
        ),
      )
   ) );
}

?>