<?php

/**
 * Team shortcode
 */
if( !function_exists('conikal_team_shortcode') ): 
    function conikal_team_shortcode($attrs, $content = null) {
        extract(shortcode_atts(array(
            'title' => '',
            'title_alignment' => 'center',
            'show' => '4',
            'orderby' => 'post_date',
            'order' => 'ASC'
        ), $attrs));

        $args = array(
                'numberposts'   => $show,
                'post_type'        => 'team',
                'orderby'          => 'post_date',
                'order'            => 'ASC',
                'post_status'      => 'publish' );
        $members = wp_get_recent_posts($args, OBJECT);

        $return_string = conikal_team_members_render($members, $attrs, $content);
        
        return $return_string;
    }
endif;


// interact with visual composer

add_action( 'vc_before_init', 'conikal_vc_team_shortcode' );
function conikal_vc_team_shortcode() {
   vc_map( array(
      "name" => esc_html__('Team', 'campoal-tapo'),
      "base" => 'team',
      "class" => '',
      "category" => esc_html__('Campoal', 'campoal-tapo'),
      'admin_enqueue_js' => plugin_dir_url( __FILE__ ) . 'vc_extend/bartag.js',
      'admin_enqueue_css' => plugin_dir_url( __FILE__ ) . 'vc_extend/bartag.css',
      "icon" => plugin_dir_url( __FILE__ ) . 'images/campoal-icon.svg',
      "params" => array(
        array(
            "type" => 'textfield',
            "holder" => 'div',
            "class" => '',
            "heading" => esc_html__('Title', 'campoal-tapo'),
            "param_name" => 'title',
            "value" => '',
            "description" => esc_html__('Title of Team', 'campoal-tapo')
        ),
        array(
            "type" => 'textfield',
            "holder" => 'div',
            "class" => '',
            "heading" => esc_html__('Show', 'campoal-tapo'),
            "param_name" => 'show',
            "value" => 4,
            "description" => esc_html__('Number of Display', 'campoal-tapo')
        )
      )
   ) );
}

?>