<?php

/**
 * Updates shortcode
 */

if( !function_exists('conikal_updates_shortcode') ): 
    function conikal_updates_shortcode($attrs, $content = null) {
        extract(shortcode_atts(array(
        'id' => 1,
        'number' => 5,
        'orderby' => 'date',
        'order' => 'DESC'
    ), $attrs));

        $update_posts = conikal_update_petition($id, $number, $orderby, $order);

        $return_string = conikal_update_timeline_render($update_posts, $attrs, $content);
        
        return $return_string;
    }
endif;


// interact with visual composer

add_action( 'vc_before_init', 'conikal_vc_updates_shortcode' );
function conikal_vc_updates_shortcode() {
   vc_map( array(
      "name" => esc_html__('Updates', 'campoal-tapo'),
      "base" => 'updates',
      "class" => '',
      "category" => esc_html__('Campoal', 'campoal-tapo'),
      'admin_enqueue_js' => plugin_dir_url( __FILE__ ) . 'vc_extend/bartag.js',
      'admin_enqueue_css' => plugin_dir_url( __FILE__ ) . 'vc_extend/bartag.css',
      "icon" => plugin_dir_url( __FILE__ ) . 'images/campoal-icon.svg',
      "params" => array(
        array(
            "type" => 'textfield',
            "holder" => 'div',
            "class" => '',
            "heading" => esc_html__('Petition ID', 'campoal-tapo'),
            "param_name" => 'id',
            "value" => '',
            "description" => esc_html__('ID of Petition', 'campoal-tapo')
        ),
        array(
            "type" => 'textfield',
            "holder" => 'div',
            "class" => '',
            "heading" => esc_html__('Petition ID', 'campoal-tapo'),
            "param_name" => 'number',
            "value" => 5,
            "description" => esc_html__('Number of updates', 'campoal-tapo')
        ),
        array(
            "type" => 'dropdown',
            "holder" => 'div',
            "class" => '',
            "heading" => esc_html__('Order', 'campoal-tapo'),
            "param_name" => 'order',
            "value" => array(
                'Ascending' => 'ASC',
                'Descending' => 'DESC'
                ),
            "std" => 'ASC',
            "description" => esc_html__('Sort retrieved updates', 'campoal-tapo')
        ),
      )
   ) );
}

?>