<?php 

/*
* Render sign share block in html
*/

if (!function_exists('conikal_sign_confirm_block_render')) {
    function conikal_sign_confirm_block_render($attrs, $content = null) {
        extract(shortcode_atts(array(
            'id' => 1,
            'size' => 'huge',
        ), $attrs));

        global $campoal_options;
        global $current_user;
        global $give_receipt_args, $donation;

        $give_prefix        = '_give_';

        $fundraising_mode = isset($campoal_options['conikal_fundraising_mode_field']) ? $campoal_options['conikal_fundraising_mode_field'] : 0;
    
        // get give donation session
        if (class_exists('Give')) {
            $get_data     = give_clean( filter_input_array( INPUT_GET ) );
            $session      = give_get_purchase_session(); 
        }

        // get form option
        $form_id = get_post_meta($id, 'petition_contribute', true);
        $contribute_approve = get_post_status($form_id);
        if ($contribute_approve != 'publish') {
            $form_id = '';
        }

        // check get petition id param exist and get data
        if (isset($_GET['petition_id']) && !empty($_GET['petition_id'])) {
            $petition_id = (int) sanitize_text_field($_GET['petition_id']);
            $form_id = '';
        } else if (empty($form_id) || (empty($get_data['donation_id']) || !isset($session['donation_id']))) {
            $petition_id = $id;
            $form_id = '';
        } else if (class_exists('Give') && $fundraising_mode == 1 || (!empty($get_data['donation_id']) || isset($session['donation_id'])) ) {
            $donation_id  = false;
            $receipt_type = false;

            if ( ! empty( $get_data['donation_id'] ) ) {
                $donation_id = $get_data['donation_id'];
            } elseif ( ! empty( $get_data['action'] ) && 'view_in_browser' === $get_data['action'] ) {
                $receipt_type = 'view_in_browser';
                $donation_id  = $get_data['_give_hash'];
            } elseif ( isset( $session['donation_id'] ) ) {
                $donation_id = $session['donation_id'];
            } elseif ( ! empty( $give_receipt_args['id'] ) ) {
                $donation_id = $give_receipt_args['id'];
            }

            $payment    = new Give_Payment( $donation_id );
            $form_id    = $payment->form_id;

            $petition_id = conikal_get_petition_by_form_id($form_id);
        } else {
            $petition_id = $id;
        }

        if ( !empty($petition_id) || !empty($form_id) || (class_exists('Give') && $fundraising_mode == 1 && (!empty($get_data['donation_id']) || isset($session['donation_id'])) ) ) {
            if ($petition_id) {
                $approve = get_post_status($petition_id);
                $title = get_the_title($petition_id);
                $heading = get_post_meta($petition_id, 'petition_heading', true);
                $title = ($heading != '' ? $heading : $title);
                $goal = get_post_meta($petition_id, 'petition_goal', true);
                $sign_num = get_post_meta($petition_id, 'petition_sign', true);
                $sign_num = isset($sign_num) ? intval($sign_num) : 0;
        
                // get form option
                $form_id            = conikal_get_petition_form_id($petition_id);
        
                $give_prefix        = '_give_';
                $reveal_label       = get_post_meta($form_id, $give_prefix . 'reveal_label', true);
                $goal_option        = get_post_meta($form_id, $give_prefix . 'goal_option', true);
        
                if ($form_id != '' && class_exists('Give')) {
                    $donation_num       = give_get_form_sales_stats( $form_id );
                    $donation_needed    = intval($goal) - intval($donation_num);
                    $donation_needed    = (intval($donation_num) < intval($goal) ? $donation_needed : 0);
        
                    $total_incom        = give_get_form_earnings_stats( $form_id );
                    $total_raised       = give_currency_filter( give_format_amount( $total_incom, array( 'sanitize' => false ) ) );
        
                    if (give_is_setting_enabled( $goal_option )) {
                        $goal_stats         = give_goal_progress_stats( $form_id );
                        $goal_stats         = ($goal_stats['raw_goal'] != 0 ? $goal_stats['raw_goal'] : $goal);
                        $goal_stats_label   = give_currency_filter( give_format_amount( $goal_stats, array( 'sanitize' => false ) ) );
        
                        $amount_needed       = intval($goal_stats) - intval($total_incom);
                        $amount_needed_label = give_currency_filter( give_format_amount( $amount_needed, array( 'sanitize' => false ) ) );
                    }
                }
            } else if ($form_id) {
                $give_prefix        = '_give_';
                $goal_option        = get_post_meta($form_id, $give_prefix . 'goal_option', true);
                $set_goal           = get_post_meta($form_id, $give_prefix . 'set_goal', true);
                $donation_num       = give_get_form_sales_stats( $form_id );
        
                $title              = get_the_title($form_id);
                $content            = get_post_meta($form_id, $give_prefix . 'form_content', true);
        
                $payment_total      = give_currency_filter( give_format_amount( $payment->total, array( 'sanitize' => false ) ) );
                $payment_needed     = (intval($set_goal) - intval($payment->total));
                $payment_needed     = give_currency_filter( give_format_amount( $payment_needed, array( 'sanitize' => false ) ) );
            }
        
            $goal_option        = get_post_meta($form_id, $give_prefix . 'goal_option', true);
            $raise_number       = conikal_get_supporter_donors_number($form_id, 'donor', true);
        
            $give_attrs['id']           = $form_id;
            $give_attrs['show_goal']    = false;
?>
        
        <div class="sign-success">
            <div class="ui basic center aligned segment">
                <?php if (empty($form_id) || (empty($get_data['donation_id']) || !isset($session['donation_id']))) : ?>
                    <div class="ui icon green <?php echo esc_attr($size) ?> header">
                        <i class="circular checkmark icon"></i>
                        <div class="content">
                            <?php esc_html_e('You are signed Successfully!' ,'campoal') ?>
                            <div class="sub header">
                                <?php echo sprintf(esc_html__('You’re one of %2$s people to sign this petition. Now help find %1$s more people to reach the goal.', 'campoal'), conikal_format_number('%!,0i', (intval($goal) - $sign_num) ), conikal_format_number('%!,0i', $sign_num)) ?>
                            </div>
                        </div>
                    </div>
                <?php elseif (class_exists('Give') && $fundraising_mode == 1 && (!empty($get_data['donation_id']) || isset($session['donation_id'])) || !isset($_GET['petition_id'])) : ?>
                    <div class="ui icon green <?php echo esc_attr($size) ?> header">
                        <i class="circular checkmark icon"></i>
                        <div class="content">
                            <?php esc_html_e('Thank you for donating!' ,'campoal') ?>
                            <div class="sub header">
                                <?php if ($petition_id != '') {
                                    // add signature to petition when donate as member
                                    if (is_user_logged_in()) {
                                        conikal_add_to_signatures_plus($current_user->ID, $petition_id);
                                    }

                                    // print success message
                                    if (give_is_setting_enabled( $goal_option ) && intval($amount_needed) > 0) {
                                        if (give_is_setting_enabled( $goal_option )) {
                                            echo sprintf(esc_html__('You’re one of %2$s people who have donated %5$s this fund. Now help find %1$s more people donate the remaining %3$s to reach the goal %4$s.', 'campoal'), conikal_format_number('%!,0i', $donation_needed ), conikal_format_number('%!,0i', $donation_num), $amount_needed_label, $goal_stats_label, $total_raised);
                                        } else {
                                            echo sprintf(esc_html__('You’re one of %2$s people who have donated %3$s this fund. Now help find %1$s more people donate to finish the campaign.', 'campoal'), conikal_format_number('%!,0i', $donation_needed ), conikal_format_number('%!,0i', $donation_num), $total_raised);
                                        }
                                    } else {
                                        echo sprintf(esc_html__('You along with %1$s other people donated %2$s to this campaign to make it a success.', 'campoal'), $donation_num, $total_raised);
                                    }
                                } else { 
                                    // add signature to project when donate as member
                                    if (is_user_logged_in()) {
                                        $sendinblue_list = get_post_meta($form_id, $give_prefix . 'sendinblue_list', true);
                                        conikal_sendinblue_users_list($sendinblue_list, $current_user->ID, 'add', 1);
                                    }

                                    if (give_is_setting_enabled( $goal_option )) {
                                        echo sprintf(esc_html__('You have donated %2$s to this fund. Help find more people donating %1$s to reach the goal.', 'campoal'), $payment_needed, $payment_total);
                                    } else {
                                        echo sprintf(esc_html__('You have successfully paid %1$s to this fund. A confirmation email has been sent to your inbox.', 'campoal'), $payment_total);
                                    }
                                } ?>
                            </div>
                        </div>
                    </div>
                <?php else : ?>
                    <div class="ui icon green <?php echo esc_attr($size) ?> header">
                        <i class="circular checkmark icon"></i>
                        <div class="content">
                            <?php esc_html_e('You are signed Successfully!' ,'campoal') ?>
                            <div class="sub header">
                                <?php echo sprintf(esc_html__('You’re one of %2$s people to sign this petition. Now help find %1$s more people to reach the goal.', 'campoal'), conikal_format_number('%!,0i', (intval($goal) - $sign_num) ), conikal_format_number('%!,0i', $sign_num)) ?>
                            </div>
                        </div>
                    </div>
                <?php endif; ?>
            </div>
        </div>
    <?php }
    }
} ?>
