<?php 

if (!function_exists('conikal_supporters_counter_render')) :
    function conikal_supporters_counter_render($attrs, $content = null) {
        extract(shortcode_atts(array(
            'id' => 0,
            'heading' => 'h3',
            'alignment' => 'left',
            'label' => '',
            'type' => 'sign',
            'round' => 'yes',
            'color' => '',
        ), $attrs));

        $round_number       = ($round == 'yes' || $round == 1 ? true : false);

        $supporter_number   = conikal_get_supporter_donors_number($id, 'supporter', $round_number);
        $supporter_label    = $supporter_number->label;
        $goal               = $supporter_number->goal;
        $goal_format        = $supporter_number->goal_format;
        $sign               = $supporter_number->sign;
        $sign_format        = $supporter_number->sign_format;
        $needed             = $supporter_number->needed;
        $needed_format      = $supporter_number->needed_format;

        switch ($type) {
            case 'sign':
                $number = $sign_format;
                break;

            case 'left': 
                $number = $needed_format;

                break;
            case 'goal': 
                $number = $goal_format;

                break;

            default:
                $number = $sign_format;
                break;
        }

        $return_string = '<div class="ui ' . esc_attr( $alignment ) . ' aligned vertical basic segment">';
        $return_string .= '<' . $heading . ' style="' . esc_attr($color ? 'color: ' . $color : '') . '">' . $number . ' ' . $label . '</' . $heading . '>';
        $return_string .= '</div>';

        return $return_string;
    }
endif;
?>