<?php 

/*
/ Render supporters list in html
*/
if (!function_exists('conikal_supporters_list_render')) :
    function conikal_supporters_list_render($attrs, $content) {
        extract(shortcode_atts(array(
            'title'         => '',
            'title_alignment'   => 'left',
            'type'          => 'supporters' ,
            'id'            => 1,
            'number'        => 12,
            'style'         => 'avatar',
            'size'          => '',
            'column'        => 'four',
            'hide_amount'   => false
        ), $attrs));

        $return_string = '';
            
        // get supporters or donors list
        $supporters = array();
        if ($type == 'supporters') {
            $supporters = conikal_supporters_list_data($id, $number, true);
        } else if (class_exists('Give')) {
            $supporters = conikal_donors_list_data($id, $number);
        }

        // data is exist
        if (empty($supporters)) {
            $return_string .= '<div class="ui error message">' . esc_html__('Petition or Donation ID is not exist or no supporters available!', 'campoal-tapo') . '</div>';
            return $return_string;
        }   

        // lazy placeholder
        $lazy_placeholder_avatar = conikal_lazy_load_placeholder('avatar');

        if ($title != '') {
            $return_string .= '<div class="ui ' . esc_attr( $title_alignment ) . ' aligned vertical basic segment"><div class="ui huge header">' . esc_html($title) . '</div></div>';
        }

        if ($style == 'avatar') {
            $return_string .= '<div id="recent-supporters-list' . esc_attr($id) . '" class="ui ' . ($size ? esc_attr($size) : 'mini') . ' images">';
        } else if ($style == 'list') {
            $return_string .= '<div id="recent-supporters-list' . esc_attr($id) . '" class="ui relaxed ' . ($size ? esc_attr($size) : 'medium') . ' list">';
        } else if ($style == 'grid') {
            $return_string .= '<div id="recent-supporters-list' . esc_attr($id) . '" class="ui ' . esc_attr($column) . ' column stackable grid">';
        }

        foreach ($supporters as $supporter) {

            $supporter = (object) $supporter;

            // add level badge
            if (class_exists('Give') && function_exists('conikal_contribution_level_badge')) {
                $level_badge = conikal_contribution_level_badge($supporter->user_id);
            } else {
                $level_badge = '';
            }
                            
            if ($style == 'avatar') {
                $return_string .= '<a href="' . esc_url($supporter->user_link) . '"><img class="ui avatar image ' . esc_attr($level_badge) . ' supporter-avatar lazy" data-src="' . esc_url($supporter->user_avatar) . '" src="' . esc_url($lazy_placeholder_avatar) . '" alt="' . esc_attr($supporter->user_name) . '" data-title="' . esc_attr($supporter->user_name) . '" data-content="';
                $return_string .= $supporter->subheading_label;
                $return_string .= '"></a>';
            } else if ($style == 'list') {
                $return_string .= '<div class="item">
                <img class="ui avatar image supporter-avatar lazy" data-src="' . esc_url($supporter->user_avatar) .'" src="' . esc_url($lazy_placeholder_avatar) .'" alt="' . esc_attr($supporter->user_name) . '">
                <div class="content"><a href="' . esc_url($supporter->user_link) . '" class="header" data-bjax>' . esc_html($supporter->user_name) . '</a>
                <div class="description">' . esc_html($supporter->subheading_label) . '</div>
                </div>
                </div>';
            } else if ($style == 'grid') {
                $return_string .= '<div class="column">
                <div class="ui fluid card supporter-card">
                <div class="content">
                <a href="' . esc_url($supporter->user_link) . '" class="right floated ui mini image ' . esc_attr( $level_badge ) . '">
                    <img class="ui mini circular image lazy" data-src="' . esc_url($supporter->user_avatar) . '" src="' . esc_url($lazy_placeholder_avatar) . '" alt="' . esc_attr($supporter->user_name) . '">
                </a>
                <div class="header truncate">
                    <a href="' . esc_url($supporter->user_link) . '" class="header" data-bjax>' . esc_html($supporter->user_name) . '</a>
                </div>
                <div class="meta truncate">' . esc_html($supporter->user_location) . '</div>
                <div class="description supporter-comment">';
                if ($type == 'supporters') {
                    if (!empty($supporter->comment_content)) {
                        $return_string .= '<span class="sub header text grey">' . esc_html($supporter->sign_date_human) . '</span>';
                        $return_string .= ' · ' . esc_html($supporter->comment_content);
                    } else {
                        $return_string .= esc_html($supporter->subheading_label);
                    }
                } else {
                    $return_string .= '<div class="ui small primary header">';
                    $return_string .= esc_html($hide_amount ? $supporter->sign_date_format : $supporter->payment_total_format);
                    $return_string .= '<div class="sub header text grey">' . esc_html( sprintf(__('%1$s via %2$s', 'campoal-tapo'), $supporter->sign_date_human, $supporter->payment_gateway) ) . '</div>';
                    $return_string .= '</div>';
                }
                $return_string .='</div>
                </div>
                <div class="extra content">' . esc_html($supporter->sign_date_format) . '</div>
                </div>
                </div>';
            }
        }
        $return_string .= '</div>';

        return $return_string;
    }
endif;
?>