<?php 

// Render team members blocks
if (!function_exists('conikal_team_members_render')) :
    function conikal_team_members_render($members, $attrs, $content = null) {
        extract(shortcode_atts(array(
            'title' => '',
            'title_alignment' => 'center',
            'show' => '4',
            'column' => 'four',
            'orderby' => 'date',
            'order' => 'ASC'
        ), $attrs));

        global $campoal_options;
        $external_link = isset($campoal_options['conikal_external_link_field']) ? $campoal_options['conikal_external_link_field'] : 0;

        $return_string = '';

        if ($title != '') {
            $return_string = '<div class="ui ' . $title_alignment . ' aligned vertical basic segment"><div class="ui huge header">' . esc_html($title) . '</div>';
            $return_string .= '<div class="title-divider"></div></div>';
        }

        $return_string .= '<div class="ui ' . esc_attr( $column ) . ' column centered stackable grid">';
        foreach($members as $member) : setup_postdata($member);
            if(has_post_thumbnail($member->ID)) {
                $avatar_src = wp_get_attachment_image_src( get_post_thumbnail_id( $member->ID ), 'medium' );
                $avatar_src = ($avatar_src ? $avatar_src[0] : '');
            } else {
                $avatar_src = get_template_directory_uri() . '/images/avatar.svg';
            }

            $position = get_post_meta($member->ID, 'team_position', true);
            $living = get_post_meta($member->ID, 'team_living', true);
            $website = get_post_meta($member->ID, 'team_website', true);
            $facebook = get_post_meta($member->ID, 'team_facebook', true);
            $twitter = get_post_meta($member->ID, 'team_twitter', true);
            $linkedin = get_post_meta($member->ID, 'team_linkedin', true);
            $behance = get_post_meta($member->ID, 'team_behance', true);
            $dribbble = get_post_meta($member->ID, 'team_dribbble', true);
            $flickr = get_post_meta($member->ID, 'team_flickr', true);
            $github = get_post_meta($member->ID, 'team_github', true);
            $instagram = get_post_meta($member->ID, 'team_instagram', true);
            $medium = get_post_meta($member->ID, 'team_medium', true);
            $pinterest = get_post_meta($member->ID, 'team_pinterest', true);
            $reddit = get_post_meta($member->ID, 'team_reddit', true);
            $skype = get_post_meta($member->ID, 'team_skype', true);
            $tumblr = get_post_meta($member->ID, 'team_tumblr', true);
            $vimeo = get_post_meta($member->ID, 'team_vimeo', true);
            $vk = get_post_meta($member->ID, 'team_vk', true);
            $youtube = get_post_meta($member->ID, 'team_youtube', true);
            $weibo = get_post_meta($member->ID, 'team_weibo', true);
            $wechat = get_post_meta($member->ID, 'team_wechat', true);

            $return_string .= '<div class="center aligned column">';
            $return_string .= '<div class="ui circular bordered centered small image team">';
            $return_string .= '<div class="ui dimmer"><div class="content"><div class="center">';
            if ($website) {
                $return_string .= '<a href="' . esc_url($website) . '" class="ui icon inverted small button" target="' . ($external_link != 0 ? esc_attr('_blank') : esc_attr('_self')) . '"><i class="linkify icon"></i></a>';
            }
            if ($facebook) {
                $return_string .= '<a href="' . esc_url($facebook) . '" class="ui icon inverted small button" target="' . ($external_link != 0 ? esc_attr('_blank') : esc_attr('_self')) . '"><i class="facebook f icon"></i></a>';
            }
            if ($twitter) {
                $return_string .= '<a href="' . esc_url($twitter) . '" class="ui icon inverted small button" target="' . ($external_link != 0 ? esc_attr('_blank') : esc_attr('_self')) . '"><i class="twitter icon"></i></a>';
            }
            if ($linkedin) {
                $return_string .= '<a href="' . esc_url($linkedin) . '" class="ui icon inverted small button" target="' . ($external_link != 0 ? esc_attr('_blank') : esc_attr('_self')) . '"><i class="linkedin icon"></i></a>';
            }
            if ($behance) {
                $return_string .= '<a href="' . esc_url($behance) . '" class="ui icon inverted small button" target="' . ($external_link != 0 ? esc_attr('_blank') : esc_attr('_self')) . '"><i class="behance icon"></i></a>';
            }
            if ($instagram) {
                $return_string .= '<a href="' . esc_url($instagram) . '" class="ui icon inverted small button" target="' . ($external_link != 0 ? esc_attr('_blank') : esc_attr('_self')) . '"><i class="instagram icon"></i></a>';
            }
            if ($medium) {
                $return_string .= '<a href="' . esc_url($medium) . '" class="ui icon inverted small button" target="' . ($external_link != 0 ? esc_attr('_blank') : esc_attr('_self')) . '"><i class="medium m icon"></i></a>';
            }
            if ($pinterest) {
                $return_string .= '<a href="' . esc_url($pinterest) . '" class="ui icon inverted small button" target="' . ($external_link != 0 ? esc_attr('_blank') : esc_attr('_self')) . '"><i class="pinterest icon"></i></a>';
            }
            if ($reddit) {
                $return_string .= '<a href="' . esc_url($reddit) . '" class="ui icon inverted small button" target="' . ($external_link != 0 ? esc_attr('_blank') : esc_attr('_self')) . '"><i class="reddit icon"></i></a>';
            }
            if ($tumblr) {
                $return_string .= '<a href="' . esc_url($tumblr) . '" class="ui icon inverted small button" target="' . ($external_link != 0 ? esc_attr('_blank') : esc_attr('_self')) . '"><i class="tumblr icon"></i></a>';
            }
            if ($vimeo) {
                $return_string .= '<a href="' . esc_url($vimeo) . '" class="ui icon inverted small button" target="' . ($external_link != 0 ? esc_attr('_blank') : esc_attr('_self')) . '"><i class="vimeo v icon"></i></a>';
            }
            if ($vk) {
                $return_string .= '<a href="' . esc_url($vk) . '" class="ui icon inverted small button" target="' . ($external_link != 0 ? esc_attr('_blank') : esc_attr('_self')) . '"><i class="vk icon"></i></a>';
            }
            if ($youtube) {
                $return_string .= '<a href="' . esc_url($youtube) . '" class="ui icon inverted small button" target="' . ($external_link != 0 ? esc_attr('_blank') : esc_attr('_self')) . '"><i class="youtube icon"></i></a>';
            }
            if ($weibo) {
                $return_string .= '<a href="' . esc_url($weibo) . '" class="ui icon inverted small button" target="' . ($external_link != 0 ? esc_attr('_blank') : esc_attr('_self')) . '"><i class="weibo icon"></i></a>';
            }
            if ($wechat) {
                $return_string .= '<a href="' . esc_url($wechat) . '" class="ui icon inverted small button" target="' . ($external_link != 0 ? esc_attr('_blank') : esc_attr('_self')) . '"><i class="wechat icon"></i></a>';
            }
            $return_string .= '</div></div></div>';
            $return_string .= '<img src="' . esc_url($avatar_src) . '" alt="' . esc_attr($member->post_title) . '" />';
            $return_string .= '</div>';
            $return_string .= '<div class="ui header">';
            $return_string .= '<div class="content">' . esc_html($member->post_title);
            $return_string .= '<div class="sub header">' . esc_html($position) . '</div>';
            $return_string .= '</div>';
            $return_string .= '</div>';
            $return_string .= '</div>';
        endforeach;
        $return_string .= '</div>';

        wp_reset_postdata();
        wp_reset_query();
        return $return_string;
    }
endif;

?>